unit upsi_translation;

interface

uses
  SysUtils
  , Classes
  , uPSComponent
  , uPSRuntime
  , uPSCompiler;

procedure SIRegister_translation(CL: TPSPascalCompiler);

implementation

uses u_translation;

procedure SIRegister_translation(CL: TPSPascalCompiler);
begin
  CL.AddConstantN('rsdeg', 'String').SetString(rsdeg);
  CL.AddConstantN('rsmin', 'String').SetString(rsmin);
  CL.AddConstantN('rssec', 'String').SetString(rssec);
  CL.AddConstantN('rsHour', 'String').SetString(rsHour);
  CL.AddConstantN('rsMinute', 'String').SetString(rsMinute);
  CL.AddConstantN('rsSecond', 'String').SetString(rsSecond);
  CL.AddConstantN('rsDay', 'String').SetString(rsDay);
  CL.AddConstantN('rsMonth', 'String').SetString(rsMonth);
  CL.AddConstantN('rsYear', 'String').SetString(rsYear);
  CL.AddConstantN('rsJulianYear', 'String').SetString(rsJulianYear);
  CL.AddConstantN('rsTropicalYear', 'String').SetString(rsTropicalYear);
  CL.AddConstantN('rsSiderealDay', 'String').SetString(rsSiderealDay);
  CL.AddConstantN('rsSynodicMonth', 'String').SetString(rsSynodicMonth);
  CL.AddConstantN('rsSaros', 'String').SetString(rsSaros);
  CL.AddConstantN('rsSetDateAndTi', 'String').SetString(rsSetDateAndTi);
  CL.AddConstantN('rsSetObservato', 'String').SetString(rsSetObservato);
  CL.AddConstantN('rsConfigureThe', 'String').SetString(rsConfigureThe);
  CL.AddConstantN('rsEquatorialCo', 'String').SetString(rsEquatorialCo);
  CL.AddConstantN('rsAltAzCoordin', 'String').SetString(rsAltAzCoordin);
  CL.AddConstantN('rsEclipticCoor', 'String').SetString(rsEclipticCoor);
  CL.AddConstantN('rsGalacticCoor', 'String').SetString(rsGalacticCoor);
  CL.AddConstantN('rsMirrorHorizo', 'String').SetString(rsMirrorHorizo);
  CL.AddConstantN('rsMirrorVertic', 'String').SetString(rsMirrorVertic);
  CL.AddConstantN('rsRotateRight', 'String').SetString(rsRotateRight);
  CL.AddConstantN('rsRotateLeft', 'String').SetString(rsRotateLeft);
  CL.AddConstantN('rsShowAllSky', 'String').SetString(rsShowAllSky);
  CL.AddConstantN('rsNorth', 'String').SetString(rsNorth);
  CL.AddConstantN('rsSouth', 'String').SetString(rsSouth);
  CL.AddConstantN('rsEast', 'String').SetString(rsEast);
  CL.AddConstantN('rsWest', 'String').SetString(rsWest);
  CL.AddConstantN('rsZenith', 'String').SetString(rsZenith);
  CL.AddConstantN('rsCreateANewCh', 'String').SetString(rsCreateANewCh);
  CL.AddConstantN('rsOpenAChart', 'String').SetString(rsOpenAChart);
  CL.AddConstantN('rsSaveTheCurre', 'String').SetString(rsSaveTheCurre);
  CL.AddConstantN('rsPrintTheChar', 'String').SetString(rsPrintTheChar);
  CL.AddConstantN('rsNightVisionC', 'String').SetString(rsNightVisionC);
  CL.AddConstantN('rsCascade', 'String').SetString(rsCascade);
  CL.AddConstantN('rsTileVertical', 'String').SetString(rsTileVertical);
  CL.AddConstantN('rsUndoLastChan', 'String').SetString(rsUndoLastChan);
  CL.AddConstantN('rsRedoLastChan', 'String').SetString(rsRedoLastChan);
  CL.AddConstantN('rsZoomIn', 'String').SetString(rsZoomIn);
  CL.AddConstantN('rsZoomOut', 'String').SetString(rsZoomOut);
  CL.AddConstantN('rsSetFOV', 'String').SetString(rsSetFOV);
  CL.AddConstantN('rsAdvancedSear', 'String').SetString(rsAdvancedSear);
  CL.AddConstantN('rsPosition', 'String').SetString(rsPosition);
  CL.AddConstantN('rsObjectList', 'String').SetString(rsObjectList);
  CL.AddConstantN('rsEphemerisCal', 'String').SetString(rsEphemerisCal);
  CL.AddConstantN('rsDecrementTim', 'String').SetString(rsDecrementTim);
  CL.AddConstantN('rsNow', 'String').SetString(rsNow);
  CL.AddConstantN('rsIncrementTim', 'String').SetString(rsIncrementTim);
  CL.AddConstantN('rsConnectTeles', 'String').SetString(rsConnectTeles);
  CL.AddConstantN('rsSlew', 'String').SetString(rsSlew);
  CL.AddConstantN('rsSync', 'String').SetString(rsSync);
  CL.AddConstantN('rsShowStars', 'String').SetString(rsShowStars);
  CL.AddConstantN('rsShowNebulae', 'String').SetString(rsShowNebulae);
  CL.AddConstantN('rsShowPictures', 'String').SetString(rsShowPictures);
  CL.AddConstantN('rsGetDSSImage', 'String').SetString(rsGetDSSImage);
  CL.AddConstantN('rsShowPlanets', 'String').SetString(rsShowPlanets);
  CL.AddConstantN('rsShowAsteroid', 'String').SetString(rsShowAsteroid);
  CL.AddConstantN('rsShowComets', 'String').SetString(rsShowComets);
  CL.AddConstantN('rsShowMilkyWay', 'String').SetString(rsShowMilkyWay);
  CL.AddConstantN('rsShowCoordina', 'String').SetString(rsShowCoordina);
  CL.AddConstantN('rsAddEquatoria', 'String').SetString(rsAddEquatoria);
  CL.AddConstantN('rsShowConstell', 'String').SetString(rsShowConstell);
  CL.AddConstantN('rsShowConstell2', 'String').SetString(rsShowConstell2);
  CL.AddConstantN('rsShowGalactic', 'String').SetString(rsShowGalactic);
  CL.AddConstantN('rsShowEcliptic', 'String').SetString(rsShowEcliptic);
  CL.AddConstantN('rsShowMark', 'String').SetString(rsShowMark);
  CL.AddConstantN('rsShowLabels', 'String').SetString(rsShowLabels);
  CL.AddConstantN('rsShowObjectBe', 'String').SetString(rsShowObjectBe);
  CL.AddConstantN('rsSkyBackgroun', 'String').SetString(rsSkyBackgroun);
  CL.AddConstantN('rsLinkAllChart', 'String').SetString(rsLinkAllChart);
  CL.AddConstantN('rsNoObjectToLo', 'String').SetString(rsNoObjectToLo);
  CL.AddConstantN('rsChangeDrawin', 'String').SetString(rsChangeDrawin);
  CL.AddConstantN('rsFile', 'String').SetString(rsFile);
  CL.AddConstantN('rsNewChart', 'String').SetString(rsNewChart);
  CL.AddConstantN('rsOpen', 'String').SetString(rsOpen);
  CL.AddConstantN('rsSaveAs', 'String').SetString(rsSaveAs);
  CL.AddConstantN('rsSaveImage', 'String').SetString(rsSaveImage);
  CL.AddConstantN('rsCloseChart', 'String').SetString(rsCloseChart);
  CL.AddConstantN('rsCalendar', 'String').SetString(rsCalendar);
  CL.AddConstantN('rsPrint', 'String').SetString(rsPrint);
  CL.AddConstantN('rsExit', 'String').SetString(rsExit);
  CL.AddConstantN('rsEdit', 'String').SetString(rsEdit);
  CL.AddConstantN('rsCopy', 'String').SetString(rsCopy);
  CL.AddConstantN('rsUndo', 'String').SetString(rsUndo);
  CL.AddConstantN('rsRedo', 'String').SetString(rsRedo);
  CL.AddConstantN('rsSetup', 'String').SetString(rsSetup);
  CL.AddConstantN('rsConfiguratio', 'String').SetString(rsConfiguratio);
  CL.AddConstantN('rsSaveConfigur', 'String').SetString(rsSaveConfigur);
  CL.AddConstantN('rsSaveConfigur2', 'String').SetString(rsSaveConfigur2);
  CL.AddConstantN('rsDateTime', 'String').SetString(rsDateTime);
  CL.AddConstantN('rsObservatory', 'String').SetString(rsObservatory);
  CL.AddConstantN('rsLines', 'String').SetString(rsLines);
  CL.AddConstantN('rsLabels', 'String').SetString(rsLabels);
  CL.AddConstantN('rsFonts', 'String').SetString(rsFonts);
  CL.AddConstantN('rsPictures', 'String').SetString(rsPictures);
  CL.AddConstantN('rsShowHideDSSI', 'String').SetString(rsShowHideDSSI);
  CL.AddConstantN('rsCatalog', 'String').SetString(rsCatalog);
  CL.AddConstantN('rsView', 'String').SetString(rsView);
  CL.AddConstantN('rsFullScreen', 'String').SetString(rsFullScreen);
  CL.AddConstantN('rsNightVision', 'String').SetString(rsNightVision);
  CL.AddConstantN('rsToolBar', 'String').SetString(rsToolBar);
  CL.AddConstantN('rsAllToolsBar', 'String').SetString(rsAllToolsBar);
  CL.AddConstantN('rsMainBar', 'String').SetString(rsMainBar);
  CL.AddConstantN('rsObjectBar', 'String').SetString(rsObjectBar);
  CL.AddConstantN('rsLeftBar', 'String').SetString(rsLeftBar);
  CL.AddConstantN('rsRightBar', 'String').SetString(rsRightBar);
  CL.AddConstantN('rsStatusBar', 'String').SetString(rsStatusBar);
  CL.AddConstantN('rsScrollBar', 'String').SetString(rsScrollBar);
  CL.AddConstantN('rsServerInform', 'String').SetString(rsServerInform);
  CL.AddConstantN('rsChart', 'String').SetString(rsChart);
  CL.AddConstantN('rsProjection', 'String').SetString(rsProjection);
  CL.AddConstantN('rsTransformati', 'String').SetString(rsTransformati);
  CL.AddConstantN('rsFieldOfVisio', 'String').SetString(rsFieldOfVisio);
  CL.AddConstantN('rsViewHorizon', 'String').SetString(rsViewHorizon);
  CL.AddConstantN('rsShowObjects', 'String').SetString(rsShowObjects);
  CL.AddConstantN('rsLinesGrid', 'String').SetString(rsLinesGrid);
  CL.AddConstantN('rsTelescope', 'String').SetString(rsTelescope);
  CL.AddConstantN('rsControlPanel', 'String').SetString(rsControlPanel);
  CL.AddConstantN('rsWindow', 'String').SetString(rsWindow);
  CL.AddConstantN('rsTileHorizont', 'String').SetString(rsTileHorizont);
  CL.AddConstantN('rsMaximize', 'String').SetString(rsMaximize);
  CL.AddConstantN('rsHelp', 'String').SetString(rsHelp);
  CL.AddConstantN('rsHelpContents', 'String').SetString(rsHelpContents);
  CL.AddConstantN('rsSkychartHome', 'String').SetString(rsSkychartHome);
  CL.AddConstantN('rsMailList', 'String').SetString(rsMailList);
  CL.AddConstantN('rsReportAProbl', 'String').SetString(rsReportAProbl);
  CL.AddConstantN('rsAbout', 'String').SetString(rsAbout);
  CL.AddConstantN('rsResetAllLabe', 'String').SetString(rsResetAllLabe);
  CL.AddConstantN('rsBlueMagnitud', 'String').SetString(rsBlueMagnitud);
  CL.AddConstantN('rsVisualMagnit', 'String').SetString(rsVisualMagnit);
  CL.AddConstantN('rsRedMagnitude', 'String').SetString(rsRedMagnitude);
  CL.AddConstantN('rsMagnitude', 'String').SetString(rsMagnitude);
  CL.AddConstantN('rsMagnitudeTyc', 'String').SetString(rsMagnitudeTyc);
  CL.AddConstantN('rsMagnitudeTyc2', 'String').SetString(rsMagnitudeTyc2);
  CL.AddConstantN('rsColorIndex', 'String').SetString(rsColorIndex);
  CL.AddConstantN('rsSpectralClas', 'String').SetString(rsSpectralClas);
  CL.AddConstantN('rsAnnualProper', 'String').SetString(rsAnnualProper);
  CL.AddConstantN('rsClass', 'String').SetString(rsClass);
  CL.AddConstantN('rsNote', 'String').SetString(rsNote);
  CL.AddConstantN('rsTypeOfVariab', 'String').SetString(rsTypeOfVariab);
  CL.AddConstantN('rsPeriod', 'String').SetString(rsPeriod);
  CL.AddConstantN('rsMagnitudeBan', 'String').SetString(rsMagnitudeBan);
  CL.AddConstantN('rsPhotographic', 'String').SetString(rsPhotographic);
  CL.AddConstantN('rsMultipleFlag', 'String').SetString(rsMultipleFlag);
  CL.AddConstantN('rsFieldNumber', 'String').SetString(rsFieldNumber);
  CL.AddConstantN('rsMagnitudeErr', 'String').SetString(rsMagnitudeErr);
  CL.AddConstantN('rsCorrelated', 'String').SetString(rsCorrelated);
  CL.AddConstantN('rsDimension', 'String').SetString(rsDimension);
  CL.AddConstantN('rsConstellatio', 'String').SetString(rsConstellatio);
  CL.AddConstantN('rsSurfaceBrigh', 'String').SetString(rsSurfaceBrigh);
  CL.AddConstantN('rsDescription', 'String').SetString(rsDescription);
  CL.AddConstantN('rsRadialVeloci', 'String').SetString(rsRadialVeloci);
  CL.AddConstantN('rsSurface', 'String').SetString(rsSurface);
  CL.AddConstantN('rsBrightness', 'String').SetString(rsBrightness);
  CL.AddConstantN('rsTrumplerClas', 'String').SetString(rsTrumplerClas);
  CL.AddConstantN('rsDistance', 'String').SetString(rsDistance);
  CL.AddConstantN('rsBrightestSta', 'String').SetString(rsBrightestSta);
  CL.AddConstantN('rsNumberOfStar', 'String').SetString(rsNumberOfStar);
  CL.AddConstantN('rsAge', 'String').SetString(rsAge);
  CL.AddConstantN('rsTotalRadius', 'String').SetString(rsTotalRadius);
  CL.AddConstantN('rsHalfMassRadi', 'String').SetString(rsHalfMassRadi);
  CL.AddConstantN('rsCoreRadius', 'String').SetString(rsCoreRadius);
  CL.AddConstantN('rsHbetaMagnitu', 'String').SetString(rsHbetaMagnitu);
  CL.AddConstantN('rsCentralStarB', 'String').SetString(rsCentralStarB);
  CL.AddConstantN('rsCentralStarV', 'String').SetString(rsCentralStarV);
  CL.AddConstantN('rsDiameter', 'String').SetString(rsDiameter);
  CL.AddConstantN('rsIlluminatedF', 'String').SetString(rsIlluminatedF);
  CL.AddConstantN('rsPhase', 'String').SetString(rsPhase);
  CL.AddConstantN('rsEstimatedTai', 'String').SetString(rsEstimatedTai);
  CL.AddConstantN('rsSolarElongat', 'String').SetString(rsSolarElongat);
  CL.AddConstantN('rsSolarDistanc', 'String').SetString(rsSolarDistanc);
  CL.AddConstantN('rsVelocity', 'String').SetString(rsVelocity);
  CL.AddConstantN('rsOpenCluster', 'String').SetString(rsOpenCluster);
  CL.AddConstantN('rsGlobularClus', 'String').SetString(rsGlobularClus);
  CL.AddConstantN('rsGalaxy', 'String').SetString(rsGalaxy);
  CL.AddConstantN('rsBrightNebula', 'String').SetString(rsBrightNebula);
  CL.AddConstantN('rsNebula', 'String').SetString(rsNebula);
  CL.AddConstantN('rsPlanetaryNeb', 'String').SetString(rsPlanetaryNeb);
  CL.AddConstantN('rsClusterAndNe', 'String').SetString(rsClusterAndNe);
  CL.AddConstantN('rsStar', 'String').SetString(rsStar);
  CL.AddConstantN('rsDoubleStar', 'String').SetString(rsDoubleStar);
  CL.AddConstantN('rsTripleStar', 'String').SetString(rsTripleStar);
  CL.AddConstantN('rsVariableStar', 'String').SetString(rsVariableStar);
  CL.AddConstantN('rsAsterism', 'String').SetString(rsAsterism);
  CL.AddConstantN('rsKnot', 'String').SetString(rsKnot);
  CL.AddConstantN('rsUnknowObject', 'String').SetString(rsUnknowObject);
  CL.AddConstantN('rsPlateDefect', 'String').SetString(rsPlateDefect);
  CL.AddConstantN('rsPlanet', 'String').SetString(rsPlanet);
  CL.AddConstantN('rsAsteroid', 'String').SetString(rsAsteroid);
  CL.AddConstantN('rsComet', 'String').SetString(rsComet);
  CL.AddConstantN('rsExternalCata', 'String').SetString(rsExternalCata);
  CL.AddConstantN('rsFlamsteedNum', 'String').SetString(rsFlamsteedNum);
  CL.AddConstantN('rsBayerLetter', 'String').SetString(rsBayerLetter);
  CL.AddConstantN('rsParallax', 'String').SetString(rsParallax);
  CL.AddConstantN('rsPositionAngl', 'String').SetString(rsPositionAngl);
  CL.AddConstantN('rsProperMotion', 'String').SetString(rsProperMotion);
  CL.AddConstantN('rsProperMotion2', 'String').SetString(rsProperMotion2);
  CL.AddConstantN('rsMagnitudeAtM', 'String').SetString(rsMagnitudeAtM);
  CL.AddConstantN('rsMagnitudeAtM2', 'String').SetString(rsMagnitudeAtM2);
  CL.AddConstantN('rsEpochOfMaxim', 'String').SetString(rsEpochOfMaxim);
  CL.AddConstantN('rsRiseTime', 'String').SetString(rsRiseTime);
  CL.AddConstantN('rsComponent1Ma', 'String').SetString(rsComponent1Ma);
  CL.AddConstantN('rsComponent2Ma', 'String').SetString(rsComponent2Ma);
  CL.AddConstantN('rsSeparation', 'String').SetString(rsSeparation);
  CL.AddConstantN('rsDate', 'String').SetString(rsDate);
  CL.AddConstantN('rsMinutes', 'String').SetString(rsMinutes);
  CL.AddConstantN('rsLightYears', 'String').SetString(rsLightYears);
  CL.AddConstantN('rsPoleInclinat', 'String').SetString(rsPoleInclinat);
  CL.AddConstantN('rsSunInclinati', 'String').SetString(rsSunInclinati);
  CL.AddConstantN('rsCentralMerid', 'String').SetString(rsCentralMerid);
  CL.AddConstantN('rsGRSTransit', 'String').SetString(rsGRSTransit);
  CL.AddConstantN('rsLibrationInL', 'String').SetString(rsLibrationInL);
  CL.AddConstantN('rsLibrationInL2', 'String').SetString(rsLibrationInL2);
  CL.AddConstantN('rsAzimuth', 'String').SetString(rsAzimuth);
  CL.AddConstantN('rsAltitude', 'String').SetString(rsAltitude);
  CL.AddConstantN('rsObsAltitude', 'String').SetString(rsObsAltitude);
  CL.AddConstantN('rsRise', 'String').SetString(rsRise);
  CL.AddConstantN('rsCulmination', 'String').SetString(rsCulmination);
  CL.AddConstantN('rsSet', 'String').SetString(rsSet);
  CL.AddConstantN('rsCircumpolar', 'String').SetString(rsCircumpolar);
  CL.AddConstantN('rsInvisibleAtT', 'String').SetString(rsInvisibleAtT);
  CL.AddConstantN('rsLocalSideral', 'String').SetString(rsLocalSideral);
  CL.AddConstantN('rsHourAngle', 'String').SetString(rsHourAngle);
  CL.AddConstantN('rsPlanetarySat', 'String').SetString(rsPlanetarySat);
  CL.AddConstantN('rsUniversalTim', 'String').SetString(rsUniversalTim);
  CL.AddConstantN('rsVisibilityFo', 'String').SetString(rsVisibilityFo);
  CL.AddConstantN('rsFrom', 'String').SetString(rsFrom);
  CL.AddConstantN('rsTo', 'String').SetString(rsTo);
  CL.AddConstantN('rsOffset', 'String').SetString(rsOffset);
  CL.AddConstantN('rsTooManyOpenW', 'String').SetString(rsTooManyOpenW);
  CL.AddConstantN('rsDoYouWantToS', 'String').SetString(rsDoYouWantToS);
  CL.AddConstantN('rsErrorPleaseC', 'String').SetString(rsErrorPleaseC);
  CL.AddConstantN('rsComputeAster', 'String').SetString(rsComputeAster);
  CL.AddConstantN('rsErrorPleaseC2', 'String').SetString(rsErrorPleaseC2);
  CL.AddConstantN('rsNotFoundMayb', 'String').SetString(rsNotFoundMayb);
  CL.AddConstantN('rsUnlockChart', 'String').SetString(rsUnlockChart);
  CL.AddConstantN('rsLockOn', 'String').SetString(rsLockOn);
  CL.AddConstantN('rsNotFoundInAn', 'String').SetString(rsNotFoundInAn);
  CL.AddConstantN('rsSocketError', 'String').SetString(rsSocketError);
  CL.AddConstantN('rsDifferentTha', 'String').SetString(rsDifferentTha);
  CL.AddConstantN('rsListenOnPort', 'String').SetString(rsListenOnPort);
  CL.AddConstantN('rsTCPIPService', 'String').SetString(rsTCPIPService);
  CL.AddConstantN('rsConnectedToS', 'String').SetString(rsConnectedToS);
  CL.AddConstantN('rsSQLDatabaseN', 'String').SetString(rsSQLDatabaseN);
  CL.AddConstantN('rsInitializeDa', 'String').SetString(rsInitializeDa);
  CL.AddConstantN('rsNotConnected', 'String').SetString(rsNotConnected);
  CL.AddConstantN('rsConnectedFro', 'String').SetString(rsConnectedFro);
  CL.AddConstantN('rsOK', 'String').SetString(rsOK);
  CL.AddConstantN('rsCancel', 'String').SetString(rsCancel);
  CL.AddConstantN('rsAz', 'String').SetString(rsAz);
  CL.AddConstantN('rsAlt', 'String').SetString(rsAlt);
  CL.AddConstantN('rsRA', 'String').SetString(rsRA);
  CL.AddConstantN('rsDE', 'String').SetString(rsDE);
  CL.AddConstantN('rsFOV', 'String').SetString(rsFOV);
  CL.AddConstantN('rsRotation', 'String').SetString(rsRotation);
  CL.AddConstantN('rsEquatorialCo2', 'String').SetString(rsEquatorialCo2);
  CL.AddConstantN('rsAltAZCoord', 'String').SetString(rsAltAZCoord);
  CL.AddConstantN('rsGalacticCoor2', 'String').SetString(rsGalacticCoor2);
  CL.AddConstantN('rsLII', 'String').SetString(rsLII);
  CL.AddConstantN('rsBII', 'String').SetString(rsBII);
  CL.AddConstantN('rsL', 'String').SetString(rsL);
  CL.AddConstantN('rsB', 'String').SetString(rsB);
  CL.AddConstantN('rsFilter', 'String').SetString(rsFilter);
  CL.AddConstantN('rsMercury', 'String').SetString(rsMercury);
  CL.AddConstantN('rsVenus', 'String').SetString(rsVenus);
  CL.AddConstantN('rsMars', 'String').SetString(rsMars);
  CL.AddConstantN('rsJupiter', 'String').SetString(rsJupiter);
  CL.AddConstantN('rsSaturn', 'String').SetString(rsSaturn);
  CL.AddConstantN('rsUranus', 'String').SetString(rsUranus);
  CL.AddConstantN('rsNeptune', 'String').SetString(rsNeptune);
  CL.AddConstantN('rsPluto', 'String').SetString(rsPluto);
  CL.AddConstantN('rsSun', 'String').SetString(rsSun);
  CL.AddConstantN('rsMoon', 'String').SetString(rsMoon);
  CL.AddConstantN('rsSatRing', 'String').SetString(rsSatRing);
  CL.AddConstantN('rsObjectName', 'String').SetString(rsObjectName);
  CL.AddConstantN('rsSearchFor', 'String').SetString(rsSearchFor);
  CL.AddConstantN('rsFind', 'String').SetString(rsFind);
  CL.AddConstantN('rsPleaseEnterA', 'String').SetString(rsPleaseEnterA);
  CL.AddConstantN('rsNotFound', 'String').SetString(rsNotFound);
  CL.AddConstantN('rsPleaseCheckY', 'String').SetString(rsPleaseCheckY);
  CL.AddConstantN('rsError', 'String').SetString(rsError);
  CL.AddConstantN('rsPleaseConfig', 'String').SetString(rsPleaseConfig);
  CL.AddConstantN('rsFieldTooWidt', 'String').SetString(rsFieldTooWidt);
  CL.AddConstantN('rsEstimatedFil', 'String').SetString(rsEstimatedFil);
  CL.AddConstantN('rsPleaseMountR', 'String').SetString(rsPleaseMountR);
  CL.AddConstantN('rsInDrive', 'String').SetString(rsInDrive);
  CL.AddConstantN('rsListOfAvaila', 'String').SetString(rsListOfAvaila);
  CL.AddConstantN('rsPlateIdDateE', 'String').SetString(rsPlateIdDateE);
  CL.AddConstantN('rsManualTelesc', 'String').SetString(rsManualTelesc);
  CL.AddConstantN('rsRATurns', 'String').SetString(rsRATurns);
  CL.AddConstantN('rsDECTurns', 'String').SetString(rsDECTurns);
  CL.AddConstantN('rsClose', 'String').SetString(rsClose);
  CL.AddConstantN('rsCenterObject', 'String').SetString(rsCenterObject);
  CL.AddConstantN('rsNeighbor', 'String').SetString(rsNeighbor);
  CL.AddConstantN('rsSelectAll', 'String').SetString(rsSelectAll);
  CL.AddConstantN('rsTCPIPConnect', 'String').SetString(rsTCPIPConnect);
  CL.AddConstantN('rsRefresh', 'String').SetString(rsRefresh);
  CL.AddConstantN('rsAutoRefresh', 'String').SetString(rsAutoRefresh);
  CL.AddConstantN('rsSearch', 'String').SetString(rsSearch);
  CL.AddConstantN('rsSortBy', 'String').SetString(rsSortBy);
  CL.AddConstantN('rsSave', 'String').SetString(rsSave);
  CL.AddConstantN('rsProgressMess', 'String').SetString(rsProgressMess);
  CL.AddConstantN('rsCloseConnect', 'String').SetString(rsCloseConnect);
  CL.AddConstantN('rsTimeZone', 'String').SetString(rsTimeZone);
  CL.AddConstantN('rsDateFrom', 'String').SetString(rsDateFrom);
  CL.AddConstantN('rsAt', 'String').SetString(rsAt);
  CL.AddConstantN('rsBy', 'String').SetString(rsBy);
  CL.AddConstantN('rsDays', 'String').SetString(rsDays);
  CL.AddConstantN('rsSaveToFile', 'String').SetString(rsSaveToFile);
  CL.AddConstantN('rsResetChart', 'String').SetString(rsResetChart);
  CL.AddConstantN('rsTwilight', 'String').SetString(rsTwilight);
  CL.AddConstantN('rsSolarEclipse', 'String').SetString(rsSolarEclipse);
  CL.AddConstantN('rsLunarEclipse', 'String').SetString(rsLunarEclipse);
  CL.AddConstantN('rsArtificialSa', 'String').SetString(rsArtificialSa);
  CL.AddConstantN('rsChart2', 'String').SetString(rsChart2);
  CL.AddConstantN('rsLimitingMagn', 'String').SetString(rsLimitingMagn);
  CL.AddConstantN('rsMagn', 'String').SetString(rsMagn);
  CL.AddConstantN('rsDiam', 'String').SetString(rsDiam);
  CL.AddConstantN('rsIllum', 'String').SetString(rsIllum);
  CL.AddConstantN('rsMorningTwili', 'String').SetString(rsMorningTwili);
  CL.AddConstantN('rsEveningTwili', 'String').SetString(rsEveningTwili);
  CL.AddConstantN('rsAstronomical', 'String').SetString(rsAstronomical);
  CL.AddConstantN('rsNautical', 'String').SetString(rsNautical);
  CL.AddConstantN('rsMorning', 'String').SetString(rsMorning);
  CL.AddConstantN('rsEvening', 'String').SetString(rsEvening);
  CL.AddConstantN('rsElong', 'String').SetString(rsElong);
  CL.AddConstantN('rsWarningCalcu', 'String').SetString(rsWarningCalcu);
  CL.AddConstantN('rsDatesMayTake', 'String').SetString(rsDatesMayTake);
  CL.AddConstantN('rsUT', 'String').SetString(rsUT);
  CL.AddConstantN('rsMax', 'String').SetString(rsMax);
  CL.AddConstantN('rsType', 'String').SetString(rsType);
  CL.AddConstantN('rsGamma', 'String').SetString(rsGamma);
  CL.AddConstantN('rsGreatest', 'String').SetString(rsGreatest);
  CL.AddConstantN('rsEclipse', 'String').SetString(rsEclipse);
  CL.AddConstantN('rsLatitude', 'String').SetString(rsLatitude);
  CL.AddConstantN('rsLongitude', 'String').SetString(rsLongitude);
  CL.AddConstantN('rsSunAlt', 'String').SetString(rsSunAlt);
  CL.AddConstantN('rsPathWidth', 'String').SetString(rsPathWidth);
  CL.AddConstantN('rsDuration', 'String').SetString(rsDuration);
  CL.AddConstantN('rsPenumbra', 'String').SetString(rsPenumbra);
  CL.AddConstantN('rsUmbra', 'String').SetString(rsUmbra);
  CL.AddConstantN('rsSemi', 'String').SetString(rsSemi);
  CL.AddConstantN('rsPartial', 'String').SetString(rsPartial);
  CL.AddConstantN('rsTotal', 'String').SetString(rsTotal);
  CL.AddConstantN('rsSatellite', 'String').SetString(rsSatellite);
  CL.AddConstantN('rsRange', 'String').SetString(rsRange);
  CL.AddConstantN('rsDir', 'String').SetString(rsDir);
  CL.AddConstantN('rsCoord', 'String').SetString(rsCoord);
  CL.AddConstantN('rsMap', 'String').SetString(rsMap);
  CL.AddConstantN('rsPrinter', 'String').SetString(rsPrinter);
  CL.AddConstantN('rsResolution', 'String').SetString(rsResolution);
  CL.AddConstantN('rsSelectTheSys', 'String').SetString(rsSelectTheSys);
  CL.AddConstantN('rsPrinterSetup', 'String').SetString(rsPrinterSetup);
  CL.AddConstantN('rsRasterResolu', 'String').SetString(rsRasterResolu);
  CL.AddConstantN('rsCommandToUse', 'String').SetString(rsCommandToUse);
  CL.AddConstantN('rsPathToSaveTh', 'String').SetString(rsPathToSaveTh);
  CL.AddConstantN('rsPrintMethod', 'String').SetString(rsPrintMethod);
  CL.AddConstantN('rsCommandFound', 'String').SetString(rsCommandFound);
  CL.AddConstantN('rsCommandNotFo', 'String').SetString(rsCommandNotFo);
  CL.AddConstantN('rsColor', 'String').SetString(rsColor);
  CL.AddConstantN('rsOrientation', 'String').SetString(rsOrientation);
  CL.AddConstantN('rsPageMarginIn', 'String').SetString(rsPageMarginIn);
  CL.AddConstantN('rsLeft', 'String').SetString(rsLeft);
  CL.AddConstantN('rsRight', 'String').SetString(rsRight);
  CL.AddConstantN('rsTop', 'String').SetString(rsTop);
  CL.AddConstantN('rsBottom', 'String').SetString(rsBottom);
  CL.AddConstantN('rsNoMargin', 'String').SetString(rsNoMargin);
  CL.AddConstantN('rsDefaultMargi', 'String').SetString(rsDefaultMargi);
  CL.AddConstantN('rsCentre', 'String').SetString(rsCentre);
  CL.AddConstantN('rsZoomCentre', 'String').SetString(rsZoomCentre);
  CL.AddConstantN('rsZoomCentre2', 'String').SetString(rsZoomCentre2);
  CL.AddConstantN('rsNewFinderCir', 'String').SetString(rsNewFinderCir);
  CL.AddConstantN('rsRemoveLastCi', 'String').SetString(rsRemoveLastCi);
  CL.AddConstantN('rsRemoveAllCir', 'String').SetString(rsRemoveAllCir);
  CL.AddConstantN('rsNewLabel', 'String').SetString(rsNewLabel);
  CL.AddConstantN('rsRemoveLastLa', 'String').SetString(rsRemoveLastLa);
  CL.AddConstantN('rsRemoveAllLab', 'String').SetString(rsRemoveAllLab);
  CL.AddConstantN('rsAbortSlew', 'String').SetString(rsAbortSlew);
  CL.AddConstantN('rsCreatePostsc', 'String').SetString(rsCreatePostsc);
  CL.AddConstantN('rsSendChartToP', 'String').SetString(rsSendChartToP);
  CL.AddConstantN('rsCreateRasterWH', 'String').SetString(rsCreateRasterWH);
  CL.AddConstantN('rsOpenTheBitma', 'String').SetString(rsOpenTheBitma);
  CL.AddConstantN('rsAbout2', 'String').SetString(rsAbout2);
  CL.AddConstantN('rsRATurns2', 'String').SetString(rsRATurns2);
  CL.AddConstantN('rsCCW', 'String').SetString(rsCCW);
  CL.AddConstantN('rsDECTurns2', 'String').SetString(rsDECTurns2);
  CL.AddConstantN('rsCW', 'String').SetString(rsCW);
  CL.AddConstantN('rsAzTurns', 'String').SetString(rsAzTurns);
  CL.AddConstantN('rsAltTurns', 'String').SetString(rsAltTurns);
  CL.AddConstantN('rsDesc', 'String').SetString(rsDesc);
  CL.AddConstantN('rsEcliptic', 'String').SetString(rsEcliptic);
  CL.AddConstantN('rsGalactic', 'String').SetString(rsGalactic);
  CL.AddConstantN('rsOther', 'String').SetString(rsOther);
  CL.AddConstantN('rsTelescopeNot', 'String').SetString(rsTelescopeNot);
  CL.AddConstantN('rsPleaseConfir', 'String').SetString(rsPleaseConfir);
  CL.AddConstantN('rsSkyCharts', 'String').SetString(rsSkyCharts);
  CL.AddConstantN('rsThisProgramI', 'String').SetString(rsThisProgramI);
  CL.AddConstantN('rsLabel', 'String').SetString(rsLabel);
  CL.AddConstantN('rsType2', 'String').SetString(rsType2);
  CL.AddConstantN('rsMultipleStar', 'String').SetString(rsMultipleStar);
  CL.AddConstantN('rsSolarSystem', 'String').SetString(rsSolarSystem);
  CL.AddConstantN('rsOtherLabel', 'String').SetString(rsOtherLabel);
  CL.AddConstantN('rsChartInforma', 'String').SetString(rsChartInforma);
  CL.AddConstantN('rsIndicateHere', 'String').SetString(rsIndicateHere);
  CL.AddConstantN('rsSelectTheTyp', 'String').SetString(rsSelectTheTyp);
  CL.AddConstantN('rsInputCatalog', 'String').SetString(rsInputCatalog);
  CL.AddConstantN('rsCatalogShort', 'String').SetString(rsCatalogShort);
  CL.AddConstantN('rsCatalogLongN', 'String').SetString(rsCatalogLongN);
  CL.AddConstantN('rsForALargeCat', 'String').SetString(rsForALargeCat);
  CL.AddConstantN('rsCatalogType', 'String').SetString(rsCatalogType);
  CL.AddConstantN('rsOutputCatalo', 'String').SetString(rsOutputCatalo);
  CL.AddConstantN('rsGeneralCatal', 'String').SetString(rsGeneralCatal);
  CL.AddConstantN('rsDefaultNebul', 'String').SetString(rsDefaultNebul);
  CL.AddConstantN('rsDimensionAnd', 'String').SetString(rsDimensionAnd);
  CL.AddConstantN('rsObjectType', 'String').SetString(rsObjectType);
  CL.AddConstantN('rsRecognizeUni', 'String').SetString(rsRecognizeUni);
  CL.AddConstantN('rsUsefulToRepr', 'String').SetString(rsUsefulToRepr);
  CL.AddConstantN('rsDegree', 'String').SetString(rsDegree);
  CL.AddConstantN('rsLogarithmicS', 'String').SetString(rsLogarithmicS);
  CL.AddConstantN('rsGalaxyCluste', 'String').SetString(rsGalaxyCluste);
  CL.AddConstantN('rsDarkNebula', 'String').SetString(rsDarkNebula);
  CL.AddConstantN('rsNonExistant', 'String').SetString(rsNonExistant);
  CL.AddConstantN('rsUnknow', 'String').SetString(rsUnknow);
  CL.AddConstantN('rsCircle', 'String').SetString(rsCircle);
  CL.AddConstantN('rsSquare', 'String').SetString(rsSquare);
  CL.AddConstantN('rsLosange', 'String').SetString(rsLosange);
  CL.AddConstantN('rsEditObjectTy', 'String').SetString(rsEditObjectTy);
  CL.AddConstantN('rsEditUnits', 'String').SetString(rsEditUnits);
  CL.AddConstantN('rsDefaultOutli', 'String').SetString(rsDefaultOutli);
  CL.AddConstantN('rsLineWidth', 'String').SetString(rsLineWidth);
  CL.AddConstantN('rsEditLineOper', 'String').SetString(rsEditLineOper);
  CL.AddConstantN('rsEditColor', 'String').SetString(rsEditColor);
  CL.AddConstantN('rsDrawingType', 'String').SetString(rsDrawingType);
  CL.AddConstantN('rsClosedContou', 'String').SetString(rsClosedContou);
  CL.AddConstantN('rsRAOptions', 'String').SetString(rsRAOptions);
  CL.AddConstantN('rsDECOptions', 'String').SetString(rsDECOptions);
  CL.AddConstantN('rsCoordinatesE', 'String').SetString(rsCoordinatesE);
  CL.AddConstantN('rsMaximumMagni', 'String').SetString(rsMaximumMagni);
  CL.AddConstantN('rsPositionEpoc', 'String').SetString(rsPositionEpoc);
  CL.AddConstantN('rsFirstChar', 'String').SetString(rsFirstChar);
  CL.AddConstantN('rsLength', 'String').SetString(rsLength);
  CL.AddConstantN('rsSelectTheFie', 'String').SetString(rsSelectTheFie);
  CL.AddConstantN('rsLabel2', 'String').SetString(rsLabel2);
  CL.AddConstantN('rsUseThisField', 'String').SetString(rsUseThisField);
  CL.AddConstantN('rsAdvanced', 'String').SetString(rsAdvanced);
  CL.AddConstantN('rsOutputCatalo2', 'String').SetString(rsOutputCatalo2);
  CL.AddConstantN('rsNumberOfFile', 'String').SetString(rsNumberOfFile);
  CL.AddConstantN('rsOutputDirect', 'String').SetString(rsOutputDirect);
  CL.AddConstantN('rsAppendToAnEx', 'String').SetString(rsAppendToAnEx);
  CL.AddConstantN('rsSearchIndex', 'String').SetString(rsSearchIndex);
  CL.AddConstantN('rsCreateASearc', 'String').SetString(rsCreateASearc);
  CL.AddConstantN('rsAddTheAltern', 'String').SetString(rsAddTheAltern);
  CL.AddConstantN('rsIndicateTheS', 'String').SetString(rsIndicateTheS);
  CL.AddConstantN('rsReturn', 'String').SetString(rsReturn);
  CL.AddConstantN('rsIndicateHowT', 'String').SetString(rsIndicateHowT);
  CL.AddConstantN('rsIndicateTheS2', 'String').SetString(rsIndicateTheS2);
  CL.AddConstantN('rsIndicateTheS3', 'String').SetString(rsIndicateTheS3);
  CL.AddConstantN('rsClickToChang', 'String').SetString(rsClickToChang);
  CL.AddConstantN('rsPrev', 'String').SetString(rsPrev);
  CL.AddConstantN('rsNext', 'String').SetString(rsNext);
  CL.AddConstantN('rsBuildCatalog', 'String').SetString(rsBuildCatalog);
  CL.AddConstantN('rsLoadProject', 'String').SetString(rsLoadProject);
  CL.AddConstantN('rsSaveProject', 'String').SetString(rsSaveProject);
  CL.AddConstantN('rsCatalogStrin', 'String').SetString(rsCatalogStrin);
  CL.AddConstantN('rsObjectSizeUn', 'String').SetString(rsObjectSizeUn);
  CL.AddConstantN('rsLineOperatio', 'String').SetString(rsLineOperatio);
  CL.AddConstantN('rsStartOfObjec', 'String').SetString(rsStartOfObjec);
  CL.AddConstantN('rsEndOfObject', 'String').SetString(rsEndOfObject);
  CL.AddConstantN('rsDrawLine', 'String').SetString(rsDrawLine);
  CL.AddConstantN('rsPleaseIndica', 'String').SetString(rsPleaseIndica);
  CL.AddConstantN('rsPleaseIndica2', 'String').SetString(rsPleaseIndica2);
  CL.AddConstantN('rsIsCoordinate', 'String').SetString(rsIsCoordinate);
  CL.AddConstantN('rsRequiredFiel', 'String').SetString(rsRequiredFiel);
  CL.AddConstantN('rsAbortedByUse', 'String').SetString(rsAbortedByUse);
  CL.AddConstantN('rsConvertCatal', 'String').SetString(rsConvertCatal);
  CL.AddConstantN('rsSortingTheIn', 'String').SetString(rsSortingTheIn);
  CL.AddConstantN('rsCreateHeader', 'String').SetString(rsCreateHeader);
  CL.AddConstantN('rsCreateFiles', 'String').SetString(rsCreateFiles);
  CL.AddConstantN('rsConvertCatal2', 'String').SetString(rsConvertCatal2);
  CL.AddConstantN('rsCloseFiles', 'String').SetString(rsCloseFiles);
  CL.AddConstantN('rsSortingFiles', 'String').SetString(rsSortingFiles);
  CL.AddConstantN('rsSomeRecordsW', 'String').SetString(rsSomeRecordsW);
  CL.AddConstantN('rsPleaseIndica3', 'String').SetString(rsPleaseIndica3);
  CL.AddConstantN('rsWARNINGYouHa', 'String').SetString(rsWARNINGYouHa);
  CL.AddConstantN('rsDateTime2', 'String').SetString(rsDateTime2);
  CL.AddConstantN('rsTimeSimulati', 'String').SetString(rsTimeSimulati);
  CL.AddConstantN('rsHorizon', 'String').SetString(rsHorizon);
  CL.AddConstantN('rsChartCoordin', 'String').SetString(rsChartCoordin);
  CL.AddConstantN('rsObjectFilter', 'String').SetString(rsObjectFilter);
  CL.AddConstantN('rsGridSpacing', 'String').SetString(rsGridSpacing);
  CL.AddConstantN('rsCdCStars', 'String').SetString(rsCdCStars);
  CL.AddConstantN('rsCdCNebulae', 'String').SetString(rsCdCNebulae);
  CL.AddConstantN('rsObsolete', 'String').SetString(rsObsolete);
  CL.AddConstantN('rsDisplay', 'String').SetString(rsDisplay);
  CL.AddConstantN('rsDisplayColou', 'String').SetString(rsDisplayColou);
  CL.AddConstantN('rsDeepSkyObjec', 'String').SetString(rsDeepSkyObjec);
  CL.AddConstantN('rsFinderCircle', 'String').SetString(rsFinderCircle);
  CL.AddConstantN('rsFinderRectan', 'String').SetString(rsFinderRectan);
  CL.AddConstantN('rsObject', 'String').SetString(rsObject);
  CL.AddConstantN('rsBackground', 'String').SetString(rsBackground);
  CL.AddConstantN('rsDSSRealSky', 'String').SetString(rsDSSRealSky);
  CL.AddConstantN('rsServer', 'String').SetString(rsServer);
  CL.AddConstantN('rsInternet', 'String').SetString(rsInternet);
  CL.AddConstantN('rsProxy', 'String').SetString(rsProxy);
  CL.AddConstantN('rsOrbitalEleme', 'String').SetString(rsOrbitalEleme);
  CL.AddConstantN('rsOnlineDSSPic', 'String').SetString(rsOnlineDSSPic);
  CL.AddConstantN('rsApplyChangeT', 'String').SetString(rsApplyChangeT);
  CL.AddConstantN('rsStarsAndNebu', 'String').SetString(rsStarsAndNebu);
  CL.AddConstantN('rsAdd', 'String').SetString(rsAdd);
  CL.AddConstantN('rsDelete', 'String').SetString(rsDelete);
  CL.AddConstantN('rsCDCStarsCata', 'String').SetString(rsCDCStarsCata);
  CL.AddConstantN('rsMin2', 'String').SetString(rsMin2);
  CL.AddConstantN('rsMax2', 'String').SetString(rsMax2);
  CL.AddConstantN('rsFilesPath', 'String').SetString(rsFilesPath);
  CL.AddConstantN('rsStars', 'String').SetString(rsStars);
  CL.AddConstantN('rsVariables', 'String').SetString(rsVariables);
  CL.AddConstantN('rsDoubles', 'String').SetString(rsDoubles);
  CL.AddConstantN('rsBrightStars', 'String').SetString(rsBrightStars);
  CL.AddConstantN('rsShowIRVariab', 'String').SetString(rsShowIRVariab);
  CL.AddConstantN('rsCDCNebulaeCa', 'String').SetString(rsCDCNebulaeCa);
  CL.AddConstantN('rsNebulae', 'String').SetString(rsNebulae);
  CL.AddConstantN('rsGalaxies', 'String').SetString(rsGalaxies);
  CL.AddConstantN('rsGeneral', 'String').SetString(rsGeneral);
  CL.AddConstantN('rsDefault', 'String').SetString(rsDefault);
  CL.AddConstantN('rsCDCObsoleteC', 'String').SetString(rsCDCObsoleteC);
  CL.AddConstantN('rsReplacedBy', 'String').SetString(rsReplacedBy);
  CL.AddConstantN('rsNotAvailable', 'String').SetString(rsNotAvailable);
  CL.AddConstantN('rsFovNumber', 'String').SetString(rsFovNumber);
  CL.AddConstantN('rsApply', 'String').SetString(rsApply);
  CL.AddConstantN('rsCat', 'String').SetString(rsCat);
  CL.AddConstantN('rsPath', 'String').SetString(rsPath);
  CL.AddConstantN('rsChartSetting', 'String').SetString(rsChartSetting);
  CL.AddConstantN('rsYears', 'String').SetString(rsYears);
  CL.AddConstantN('rsStarsProperM', 'String').SetString(rsStarsProperM);
  CL.AddConstantN('rsUseTheProper', 'String').SetString(rsUseTheProper);
  CL.AddConstantN('rsDrawALineTha', 'String').SetString(rsDrawALineTha);
  CL.AddConstantN('rsEquinox', 'String').SetString(rsEquinox);
  CL.AddConstantN('rsChartCoordin2', 'String').SetString(rsChartCoordin2);
  CL.AddConstantN('rsNutationAber', 'String').SetString(rsNutationAber);
  CL.AddConstantN('rsFieldOfVisio3', 'String').SetString(rsFieldOfVisio3);
  CL.AddConstantN('rsProjectionSe', 'String').SetString(rsProjectionSe);
  CL.AddConstantN('rsObjectFilter2', 'String').SetString(rsObjectFilter2);
  CL.AddConstantN('rsStarsFilter', 'String').SetString(rsStarsFilter);
  CL.AddConstantN('rsFilterStars', 'String').SetString(rsFilterStars);
  CL.AddConstantN('rsFieldOfVisio5', 'String').SetString(rsFieldOfVisio5);
  CL.AddConstantN('rsLimitingMagn2', 'String').SetString(rsLimitingMagn2);
  CL.AddConstantN('rsNakedEyeRefe', 'String').SetString(rsNakedEyeRefe);
  CL.AddConstantN('rsAutomatic', 'String').SetString(rsAutomatic);
  CL.AddConstantN('rsNebulaeFilte', 'String').SetString(rsNebulaeFilte);
  CL.AddConstantN('rsFilterNebula', 'String').SetString(rsFilterNebula);
  CL.AddConstantN('rsHideObjectWi', 'String').SetString(rsHideObjectWi);
  CL.AddConstantN('rsLimitingSize', 'String').SetString(rsLimitingSize);
  CL.AddConstantN('rsDegreeGridSp', 'String').SetString(rsDegreeGridSp);
  CL.AddConstantN('rsHourGridSpac', 'String').SetString(rsHourGridSpac);
  CL.AddConstantN('rsObjectListSe', 'String').SetString(rsObjectListSe);
  CL.AddConstantN('rsTypeOfObject', 'String').SetString(rsTypeOfObject);
  CL.AddConstantN('rsSolarSystemO', 'String').SetString(rsSolarSystemO);
  CL.AddConstantN('rsStarDisplay', 'String').SetString(rsStarDisplay);
  CL.AddConstantN('rsNebulaDispla', 'String').SetString(rsNebulaDispla);
  CL.AddConstantN('rsFaintStarsSi', 'String').SetString(rsFaintStarsSi);
  CL.AddConstantN('rsContrast', 'String').SetString(rsContrast);
  CL.AddConstantN('rsColorSaturat', 'String').SetString(rsColorSaturat);
  CL.AddConstantN('rsIncrementFor', 'String').SetString(rsIncrementFor);
  CL.AddConstantN('rsNakedEye', 'String').SetString(rsNakedEye);
  CL.AddConstantN('rsHighColor', 'String').SetString(rsHighColor);
  CL.AddConstantN('rsBlackWhite', 'String').SetString(rsBlackWhite);
  CL.AddConstantN('rsStarColourBV', 'String').SetString(rsStarColourBV);
  CL.AddConstantN('rsCoordGrid', 'String').SetString(rsCoordGrid);
  CL.AddConstantN('rsEqGrid', 'String').SetString(rsEqGrid);
  CL.AddConstantN('rsOrbit', 'String').SetString(rsOrbit);
  CL.AddConstantN('rsBoundary', 'String').SetString(rsBoundary);
  CL.AddConstantN('rsEyepiece', 'String').SetString(rsEyepiece);
  CL.AddConstantN('rsMiscLines', 'String').SetString(rsMiscLines);
  CL.AddConstantN('rsMilkyWay', 'String').SetString(rsMilkyWay);
  CL.AddConstantN('rsStandardColo', 'String').SetString(rsStandardColo);
  CL.AddConstantN('rsTheme', 'String').SetString(rsTheme);
  CL.AddConstantN('rsDeepSkyColou', 'String').SetString(rsDeepSkyColou);
  CL.AddConstantN('rsUseAPresetCo', 'String').SetString(rsUseAPresetCo);
  CL.AddConstantN('rsChooseColour', 'String').SetString(rsChooseColour);
  CL.AddConstantN('rsSupernovaRem', 'String').SetString(rsSupernovaRem);
  CL.AddConstantN('rsEmissionNebu', 'String').SetString(rsEmissionNebu);
  CL.AddConstantN('rsReflectionNe', 'String').SetString(rsReflectionNe);
  CL.AddConstantN('rsQuasar', 'String').SetString(rsQuasar);
  CL.AddConstantN('rsGravitationa', 'String').SetString(rsGravitationa);
  CL.AddConstantN('rsNonExistentU', 'String').SetString(rsNonExistentU);
  CL.AddConstantN('rsFill', 'String').SetString(rsFill);
  CL.AddConstantN('rsAdjustColour', 'String').SetString(rsAdjustColour);
  CL.AddConstantN('rsLowSurfaceBr', 'String').SetString(rsLowSurfaceBr);
  CL.AddConstantN('rsHighSurfaceB', 'String').SetString(rsHighSurfaceB);
  CL.AddConstantN('rsFainter', 'String').SetString(rsFainter);
  CL.AddConstantN('rsBrighter', 'String').SetString(rsBrighter);
  CL.AddConstantN('rsSkyColour', 'String').SetString(rsSkyColour);
  CL.AddConstantN('rsDayTime', 'String').SetString(rsDayTime);
  CL.AddConstantN('rsAstronomical2', 'String').SetString(rsAstronomical2);
  CL.AddConstantN('rsDefaultColor', 'String').SetString(rsDefaultColor);
  CL.AddConstantN('rsShowGridLabe', 'String').SetString(rsShowGridLabe);
  CL.AddConstantN('rsConstellatio2', 'String').SetString(rsConstellatio2);
  CL.AddConstantN('rsConstellatio3', 'String').SetString(rsConstellatio3);
  CL.AddConstantN('rsShowConstell3', 'String').SetString(rsShowConstell3);
  CL.AddConstantN('rsLine1', 'String').SetString(rsLine1);
  CL.AddConstantN('rsDash1', 'String').SetString(rsDash1);
  CL.AddConstantN('rsDot1', 'String').SetString(rsDot1);
  CL.AddConstantN('rsDashDot1', 'String').SetString(rsDashDot1);
  CL.AddConstantN('rsDashDotDot1', 'String').SetString(rsDashDotDot1);
  CL.AddConstantN('rsConstellatio4', 'String').SetString(rsConstellatio4);
  CL.AddConstantN('rsConstellatio5', 'String').SetString(rsConstellatio5);
  CL.AddConstantN('rsShowConstell4', 'String').SetString(rsShowConstell4);
  CL.AddConstantN('rsFillMilkyWay', 'String').SetString(rsFillMilkyWay);
  CL.AddConstantN('rsStarLabel', 'String').SetString(rsStarLabel);
  CL.AddConstantN('rsConstellatio6', 'String').SetString(rsConstellatio6);
  CL.AddConstantN('rsDisplayTheLa', 'String').SetString(rsDisplayTheLa);
  CL.AddConstantN('rsDisplayTheCh', 'String').SetString(rsDisplayTheCh);
  CL.AddConstantN('rsLabelObject', 'String').SetString(rsLabelObject);
  CL.AddConstantN('rsMagnitudeDif', 'String').SetString(rsMagnitudeDif);
  CL.AddConstantN('rsSize', 'String').SetString(rsSize);
  CL.AddConstantN('rsConstellatio7', 'String').SetString(rsConstellatio7);
  CL.AddConstantN('rsCoordinatesG', 'String').SetString(rsCoordinatesG);
  CL.AddConstantN('rsLegend', 'String').SetString(rsLegend);
  CL.AddConstantN('rsPrinterLegen', 'String').SetString(rsPrinterLegen);
  CL.AddConstantN('rsModify', 'String').SetString(rsModify);
  CL.AddConstantN('rsGreekSymbol', 'String').SetString(rsGreekSymbol);
  CL.AddConstantN('rsMarkTheChart', 'String').SetString(rsMarkTheChart);
  CL.AddConstantN('rsWidth', 'String').SetString(rsWidth);
  CL.AddConstantN('rsHeight', 'String').SetString(rsHeight);
  CL.AddConstantN('rsHTTPProxy', 'String').SetString(rsHTTPProxy);
  CL.AddConstantN('rsUseHTTPProxy', 'String').SetString(rsUseHTTPProxy);
  CL.AddConstantN('rsProxyHost', 'String').SetString(rsProxyHost);
  CL.AddConstantN('rsProxyPort', 'String').SetString(rsProxyPort);
  CL.AddConstantN('rsUserName', 'String').SetString(rsUserName);
  CL.AddConstantN('rsPassword', 'String').SetString(rsPassword);
  CL.AddConstantN('rsFTP', 'String').SetString(rsFTP);
  CL.AddConstantN('rsAnonymousPas', 'String').SetString(rsAnonymousPas);
  CL.AddConstantN('rsFTPPassiveMo', 'String').SetString(rsFTPPassiveMo);
  CL.AddConstantN('rsCometElement', 'String').SetString(rsCometElement);
  CL.AddConstantN('rsAsteroidElem', 'String').SetString(rsAsteroidElem);
  CL.AddConstantN('rsMPCHttp', 'String').SetString(rsMPCHttp);
  CL.AddConstantN('rsFirst5000', 'String').SetString(rsFirst5000);
  CL.AddConstantN('rsOnlineDSS', 'String').SetString(rsOnlineDSS);
  CL.AddConstantN('rsOnlinePictur', 'String').SetString(rsOnlinePictur);
  CL.AddConstantN('rsName', 'String').SetString(rsName);
  CL.AddConstantN('rsURL', 'String').SetString(rsURL);
  CL.AddConstantN('rsSec2', 'String').SetString(rsSec2);
  CL.AddConstantN('rsMeters', 'String').SetString(rsMeters);
  CL.AddConstantN('rsLoad', 'String').SetString(rsLoad);
  CL.AddConstantN('rsObservatoryD', 'String').SetString(rsObservatoryD);
  CL.AddConstantN('rsKm', 'String').SetString(rsKm);
  CL.AddConstantN('rsDownloadCoun', 'String').SetString(rsDownloadCoun);
  CL.AddConstantN('rsUpdate1', 'String').SetString(rsUpdate1);
  CL.AddConstantN('rsVicinity', 'String').SetString(rsVicinity);
  CL.AddConstantN('rsAtmosphericR', 'String').SetString(rsAtmosphericR);
  CL.AddConstantN('rsPressureMill', 'String').SetString(rsPressureMill);
  CL.AddConstantN('rsTemperatureC', 'String').SetString(rsTemperatureC);
  CL.AddConstantN('rsWantToTrackA', 'String').SetString(rsWantToTrackA);
  CL.AddConstantN('rsLocalHorizon', 'String').SetString(rsLocalHorizon);
  CL.AddConstantN('rsDisplayTheLo', 'String').SetString(rsDisplayTheLo);
  CL.AddConstantN('rsDepressionOf', 'String').SetString(rsDepressionOf);
  CL.AddConstantN('rsYouLiveOnABi', 'String').SetString(rsYouLiveOnABi);
  CL.AddConstantN('rsDrawTheAppar', 'String').SetString(rsDrawTheAppar);
  CL.AddConstantN('rsUpdateOrAddT', 'String').SetString(rsUpdateOrAddT);
  CL.AddConstantN('rsUpdatedSucce', 'String').SetString(rsUpdatedSucce);
  CL.AddConstantN('rsDeleteTheCur', 'String').SetString(rsDeleteTheCur);
  CL.AddConstantN('rsDeletedSucce', 'String').SetString(rsDeletedSucce);
  CL.AddConstantN('rsThisActionRe', 'String').SetString(rsThisActionRe);
  CL.AddConstantN('rsCancel2', 'String').SetString(rsCancel2);
  CL.AddConstantN('rsCancelWrongZ', 'String').SetString(rsCancelWrongZ);
  CL.AddConstantN('rsDisplayImage', 'String').SetString(rsDisplayImage);
  CL.AddConstantN('rsImageDirecto', 'String').SetString(rsImageDirecto);
  CL.AddConstantN('rsThereAreCata', 'String').SetString(rsThereAreCata);
  CL.AddConstantN('rsScanDirector', 'String').SetString(rsScanDirector);
  CL.AddConstantN('rsLuminosity', 'String').SetString(rsLuminosity);
  CL.AddConstantN('rsReset', 'String').SetString(rsReset);
  CL.AddConstantN('rsShowObjectPi', 'String').SetString(rsShowObjectPi);
  CL.AddConstantN('rsBackgroundPi', 'String').SetString(rsBackgroundPi);
  CL.AddConstantN('rsFITSFile', 'String').SetString(rsFITSFile);
  CL.AddConstantN('rsShowThisPict', 'String').SetString(rsShowThisPict);
  CL.AddConstantN('rsAuxiliaryFil', 'String').SetString(rsAuxiliaryFil);
  CL.AddConstantN('rsDataFilesCDr', 'String').SetString(rsDataFilesCDr);
  CL.AddConstantN('rsTemporaryFil', 'String').SetString(rsTemporaryFil);
  CL.AddConstantN('rsPixels', 'String').SetString(rsPixels);
  CL.AddConstantN('rsMBytes', 'String').SetString(rsMBytes);
  CL.AddConstantN('rsRealSkyNorth', 'String').SetString(rsRealSkyNorth);
  CL.AddConstantN('rsRealSkySouth', 'String').SetString(rsRealSkySouth);
  CL.AddConstantN('rs102CDDSS', 'String').SetString(rs102CDDSS);
  CL.AddConstantN('rsUseSubsampli', 'String').SetString(rsUseSubsampli);
  CL.AddConstantN('rsSelectPlateF', 'String').SetString(rsSelectPlateF);
  CL.AddConstantN('rsUseOnlineDSS', 'String').SetString(rsUseOnlineDSS);
  CL.AddConstantN('rsDEC', 'String').SetString(rsDEC);
  CL.AddConstantN('rsNoPicture', 'String').SetString(rsNoPicture);
  CL.AddConstantN('rsSolarSystemS', 'String').SetString(rsSolarSystemS);
  CL.AddConstantN('rsDataFiles', 'String').SetString(rsDataFiles);
  CL.AddConstantN('rsPlanetsSetti', 'String').SetString(rsPlanetsSetti);
  CL.AddConstantN('rsJupiterGRSLo', 'String').SetString(rsJupiterGRSLo);
  CL.AddConstantN('rsShowPlanetOn', 'String').SetString(rsShowPlanetOn);
  CL.AddConstantN('rsDrawPlanetAs', 'String').SetString(rsDrawPlanetAs);
  CL.AddConstantN('rsShowEarthSha', 'String').SetString(rsShowEarthSha);
  CL.AddConstantN('rsTransparentL', 'String').SetString(rsTransparentL);
  CL.AddConstantN('rsGeneralSetti', 'String').SetString(rsGeneralSetti);
  CL.AddConstantN('rsMagnitudeFai', 'String').SetString(rsMagnitudeFai);
  CL.AddConstantN('rsShowCometsOn', 'String').SetString(rsShowCometsOn);
  CL.AddConstantN('rsDatabaseSett', 'String').SetString(rsDatabaseSett);
  CL.AddConstantN('rsLoadMPCFile', 'String').SetString(rsLoadMPCFile);
  CL.AddConstantN('rsMessages', 'String').SetString(rsMessages);
  CL.AddConstantN('rsOrUseALocalF', 'String').SetString(rsOrUseALocalF);
  CL.AddConstantN('rsLoadMPCForma', 'String').SetString(rsLoadMPCForma);
  CL.AddConstantN('rsDownloadLate', 'String').SetString(rsDownloadLate);
  CL.AddConstantN('rsDownload', 'String').SetString(rsDownload);
  CL.AddConstantN('rsLoadFile', 'String').SetString(rsLoadFile);
  CL.AddConstantN('rsDataMaintena', 'String').SetString(rsDataMaintena);
  CL.AddConstantN('rsDeleteMPCDat', 'String').SetString(rsDeleteMPCDat);
  CL.AddConstantN('rsQuickDelete', 'String').SetString(rsQuickDelete);
  CL.AddConstantN('rsQuicklyDelet', 'String').SetString(rsQuicklyDelet);
  CL.AddConstantN('rsAddASingleEl', 'String').SetString(rsAddASingleEl);
  CL.AddConstantN('rsDesignation', 'String').SetString(rsDesignation);
  CL.AddConstantN('rsHAbsoluteMag', 'String').SetString(rsHAbsoluteMag);
  CL.AddConstantN('rsGSlopeParame', 'String').SetString(rsGSlopeParame);
  CL.AddConstantN('rsEpochJD', 'String').SetString(rsEpochJD);
  CL.AddConstantN('rsPerihelionDa', 'String').SetString(rsPerihelionDa);
  CL.AddConstantN('rsArgumentOfPe', 'String').SetString(rsArgumentOfPe);
  CL.AddConstantN('rsLongitudeAsc', 'String').SetString(rsLongitudeAsc);
  CL.AddConstantN('rsInclination', 'String').SetString(rsInclination);
  CL.AddConstantN('rsEccentricity', 'String').SetString(rsEccentricity);
  CL.AddConstantN('rsPerihelionDi', 'String').SetString(rsPerihelionDi);
  CL.AddConstantN('rsEquinox2', 'String').SetString(rsEquinox2);
  CL.AddConstantN('rsShowAsteroid3', 'String').SetString(rsShowAsteroid3);
  CL.AddConstantN('rsOptions', 'String').SetString(rsOptions);
  CL.AddConstantN('rsAsteroidsFro', 'String').SetString(rsAsteroidsFro);
  CL.AddConstantN('rsOnlyNumbered', 'String').SetString(rsOnlyNumbered);
  CL.AddConstantN('rsHaltAfter100', 'String').SetString(rsHaltAfter100);
  CL.AddConstantN('rsLoadOnlyTheF', 'String').SetString(rsLoadOnlyTheF);
  CL.AddConstantN('rsPrepareMonth', 'String').SetString(rsPrepareMonth);
  CL.AddConstantN('rsPrepareData', 'String').SetString(rsPrepareData);
  CL.AddConstantN('rsStartMonth', 'String').SetString(rsStartMonth);
  CL.AddConstantN('rsNumberOfMont', 'String').SetString(rsNumberOfMont);
  CL.AddConstantN('rsCompute', 'String').SetString(rsCompute);
  CL.AddConstantN('rsQuicklyDelet2', 'String').SetString(rsQuicklyDelet2);
  CL.AddConstantN('rsDeleteMonthl', 'String').SetString(rsDeleteMonthl);
  CL.AddConstantN('rsDeleteMonthl2', 'String').SetString(rsDeleteMonthl2);
  CL.AddConstantN('rsMeanAnomaly', 'String').SetString(rsMeanAnomaly);
  CL.AddConstantN('rsSemimajorAxi', 'String').SetString(rsSemimajorAxi);
  CL.AddConstantN('rsReference', 'String').SetString(rsReference);
  CL.AddConstantN('rsPleaseConfig2', 'String').SetString(rsPleaseConfig2);
  CL.AddConstantN('rsDownload2', 'String').SetString(rsDownload2);
  CL.AddConstantN('rsToUseThisNew', 'String').SetString(rsToUseThisNew);
  CL.AddConstantN('rsNoAsteroidDa', 'String').SetString(rsNoAsteroidDa);
  CL.AddConstantN('rsYouAreNowRea', 'String').SetString(rsYouAreNowRea);
  CL.AddConstantN('rsMySQLDatabas', 'String').SetString(rsMySQLDatabas);
  CL.AddConstantN('rsDBName', 'String').SetString(rsDBName);
  CL.AddConstantN('rsHostName', 'String').SetString(rsHostName);
  CL.AddConstantN('rsPort', 'String').SetString(rsPort);
  CL.AddConstantN('rsUserid', 'String').SetString(rsUserid);
  CL.AddConstantN('rsSqliteDataba', 'String').SetString(rsSqliteDataba);
  CL.AddConstantN('rsDatabaseFile', 'String').SetString(rsDatabaseFile);
  CL.AddConstantN('rsDirectory', 'String').SetString(rsDirectory);
  CL.AddConstantN('rsPersonalData', 'String').SetString(rsPersonalData);
  CL.AddConstantN('rsCheck', 'String').SetString(rsCheck);
  CL.AddConstantN('rsCreateDataba', 'String').SetString(rsCreateDataba);
  CL.AddConstantN('rsDropDatabase', 'String').SetString(rsDropDatabase);
  CL.AddConstantN('rsCometSetting', 'String').SetString(rsCometSetting);
  CL.AddConstantN('rsAsteroidSett', 'String').SetString(rsAsteroidSett);
  CL.AddConstantN('rsDatabaseType', 'String').SetString(rsDatabaseType);
  CL.AddConstantN('rsDesktopEnvir', 'String').SetString(rsDesktopEnvir);
  CL.AddConstantN('rsURLLaunchCom', 'String').SetString(rsURLLaunchCom);
  CL.AddConstantN('rsTCPIPServer', 'String').SetString(rsTCPIPServer);
  CL.AddConstantN('rsServerIPInte', 'String').SetString(rsServerIPInte);
  CL.AddConstantN('rsServerIPPort', 'String').SetString(rsServerIPPort);
  CL.AddConstantN('rsUseTCPIPServ', 'String').SetString(rsUseTCPIPServ);
  CL.AddConstantN('rsClientConnec', 'String').SetString(rsClientConnec);
  CL.AddConstantN('rsTelescopeSet', 'String').SetString(rsTelescopeSet);
  CL.AddConstantN('rsManualMount', 'String').SetString(rsManualMount);
  CL.AddConstantN('rsSetHowTheMou', 'String').SetString(rsSetHowTheMou);
  CL.AddConstantN('rsRightAscensi', 'String').SetString(rsRightAscensi);
  CL.AddConstantN('rsDeclination', 'String').SetString(rsDeclination);
  CL.AddConstantN('rsTurnsHour', 'String').SetString(rsTurnsHour);
  CL.AddConstantN('rsTurnsDegree', 'String').SetString(rsTurnsDegree);
  CL.AddConstantN('rsRevertRAKnob', 'String').SetString(rsRevertRAKnob);
  CL.AddConstantN('rsRevertDECKno', 'String').SetString(rsRevertDECKno);
  CL.AddConstantN('rsRevertAzKnob', 'String').SetString(rsRevertAzKnob);
  CL.AddConstantN('rsRevertAltKno', 'String').SetString(rsRevertAltKno);
  CL.AddConstantN('rsINDIDriverSe', 'String').SetString(rsINDIDriverSe);
  CL.AddConstantN('rsINDIServerHo', 'String').SetString(rsINDIServerHo);
  CL.AddConstantN('rsINDIServerPo', 'String').SetString(rsINDIServerPo);
  CL.AddConstantN('rsTelescopeNam', 'String').SetString(rsTelescopeNam);
  CL.AddConstantN('rsControlPanel2', 'String').SetString(rsControlPanel2);
  CL.AddConstantN('rsAlsoBeSureTh', 'String').SetString(rsAlsoBeSureTh);
  CL.AddConstantN('rsWarningYouAr', 'String').SetString(rsWarningYouAr);
  CL.AddConstantN('rsTime', 'String').SetString(rsTime);
  CL.AddConstantN('rsSeconds', 'String').SetString(rsSeconds);
  CL.AddConstantN('rsAutoRefreshE', 'String').SetString(rsAutoRefreshE);
  CL.AddConstantN('rsDifferenceBe', 'String').SetString(rsDifferenceBe);
  CL.AddConstantN('rsTTUT', 'String').SetString(rsTTUT);
  CL.AddConstantN('rsUseAnotherTT', 'String').SetString(rsUseAnotherTT);
  CL.AddConstantN('rsSHour', 'String').SetString(rsSHour);
  CL.AddConstantN('rsSMinute', 'String').SetString(rsSMinute);
  CL.AddConstantN('rsSSecond', 'String').SetString(rsSSecond);
  CL.AddConstantN('rsSYear', 'String').SetString(rsSYear);
  CL.AddConstantN('rsSMonth', 'String').SetString(rsSMonth);
  CL.AddConstantN('rsSDay', 'String').SetString(rsSDay);
  CL.AddConstantN('rsJD', 'String').SetString(rsJD);
  CL.AddConstantN('rsActualSystem', 'String').SetString(rsActualSystem);
  CL.AddConstantN('rsUseSystemTim', 'String').SetString(rsUseSystemTim);
  CL.AddConstantN('rsSimulation', 'String').SetString(rsSimulation);
  CL.AddConstantN('rsEvery', 'String').SetString(rsEvery);
  CL.AddConstantN('rsNumberOfStep', 'String').SetString(rsNumberOfStep);
  CL.AddConstantN('rsPlotThePosit', 'String').SetString(rsPlotThePosit);
  CL.AddConstantN('rsStepUnit', 'String').SetString(rsStepUnit);
  CL.AddConstantN('rsConnectionLi', 'String').SetString(rsConnectionLi);
  CL.AddConstantN('rsAll', 'String').SetString(rsAll);
  CL.AddConstantN('rsNone1', 'String').SetString(rsNone1);
  CL.AddConstantN('rsZoom', 'String').SetString(rsZoom);
  CL.AddConstantN('rsZoom2', 'String').SetString(rsZoom2);
  CL.AddConstantN('rsAbort', 'String').SetString(rsAbort);
  CL.AddConstantN('rsAddLabel', 'String').SetString(rsAddLabel);
  CL.AddConstantN('rsPrepareACata', 'String').SetString(rsPrepareACata);
  CL.AddConstantN('rsComputeField', 'String').SetString(rsComputeField);
  CL.AddConstantN('rsChart_', 'String').SetString(rsChart_);
  CL.AddConstantN('rsDetails', 'String').SetString(rsDetails);
  CL.AddConstantN('rsInfo', 'String').SetString(rsInfo);
  CL.AddConstantN('rsPrintChart', 'String').SetString(rsPrintChart);
  CL.AddConstantN('rsProgress', 'String').SetString(rsProgress);
  CL.AddConstantN('rsExiting', 'String').SetString(rsExiting);
  CL.AddConstantN('rsErrorPleaseC3', 'String').SetString(rsErrorPleaseC3);
  CL.AddConstantN('rsMoreThanObje', 'String').SetString(rsMoreThanObje);
  CL.AddConstantN('rsThereAreObjec', 'String').SetString(rsThereAreObjec);
  CL.AddConstantN('rsEditLabel', 'String').SetString(rsEditLabel);
  CL.AddConstantN('rsEquatorialCo3', 'String').SetString(rsEquatorialCo3);
  CL.AddConstantN('rsAltAZCoord2', 'String').SetString(rsAltAZCoord2);
  CL.AddConstantN('rsEclipticCoor3', 'String').SetString(rsEclipticCoor3);
  CL.AddConstantN('rsInclination2', 'String').SetString(rsInclination2);
  CL.AddConstantN('rsMag', 'String').SetString(rsMag);
  CL.AddConstantN('rsFOV2', 'String').SetString(rsFOV2);
  CL.AddConstantN('rsConnectToSuc', 'String').SetString(rsConnectToSuc);
  CL.AddConstantN('rsConnectToFai', 'String').SetString(rsConnectToFai);
  CL.AddConstantN('rsDatabaseOpen', 'String').SetString(rsDatabaseOpen);
  CL.AddConstantN('rsCannotOpenDa', 'String').SetString(rsCannotOpenDa);
  CL.AddConstantN('rsTableExist', 'String').SetString(rsTableExist);
  CL.AddConstantN('rsTableDoNotEx', 'String').SetString(rsTableDoNotEx);
  CL.AddConstantN('rsAllTablesStr', 'String').SetString(rsAllTablesStr);
  CL.AddConstantN('rsSQLDatabaseS', 'String').SetString(rsSQLDatabaseS);
  CL.AddConstantN('rsErrorCreatin', 'String').SetString(rsErrorCreatin);
  CL.AddConstantN('rsFileNotFound', 'String').SetString(rsFileNotFound);
  CL.AddConstantN('rsProcessingLi', 'String').SetString(rsProcessingLi);
  CL.AddConstantN('rsInsertFailed', 'String').SetString(rsInsertFailed);
  CL.AddConstantN('rsProcessingEn', 'String').SetString(rsProcessingEn);
  CL.AddConstantN('rsDeleteFromEl', 'String').SetString(rsDeleteFromEl);
  CL.AddConstantN('rsFailed', 'String').SetString(rsFailed);
  CL.AddConstantN('rsDeleteDailyD', 'String').SetString(rsDeleteDailyD);
  CL.AddConstantN('rsDeleteComple', 'String').SetString(rsDeleteComple);
  CL.AddConstantN('rsDeleteFromEl2', 'String').SetString(rsDeleteFromEl2);
  CL.AddConstantN('rsDeleteFromNa', 'String').SetString(rsDeleteFromNa);
  CL.AddConstantN('rsInsertFailed2', 'String').SetString(rsInsertFailed2);
  CL.AddConstantN('rsThisFileWasN', 'String').SetString(rsThisFileWasN);
  CL.AddConstantN('rsDataStartOnL', 'String').SetString(rsDataStartOnL);
  CL.AddConstantN('rsInvalidEpoch', 'String').SetString(rsInvalidEpoch);
  CL.AddConstantN('rsMoreThan1000', 'String').SetString(rsMoreThan1000);
  CL.AddConstantN('rsProcessingEn2', 'String').SetString(rsProcessingEn2);
  CL.AddConstantN('rsDeleteFromMo', 'String').SetString(rsDeleteFromMo);
  CL.AddConstantN('rsDeleteFromMo2', 'String').SetString(rsDeleteFromMo2);
  CL.AddConstantN('rsDBInsertFail', 'String').SetString(rsDBInsertFail);
  CL.AddConstantN('rsInvalidFITSF', 'String').SetString(rsInvalidFITSF);
  CL.AddConstantN('rsProcessingEn3', 'String').SetString(rsProcessingEn3);
  CL.AddConstantN('rsNotAFITSFile', 'String').SetString(rsNotAFITSFile);
  CL.AddConstantN('rsEarthShadow', 'String').SetString(rsEarthShadow);
  CL.AddConstantN('rsBeginProcess', 'String').SetString(rsBeginProcess);
  CL.AddConstantN('rsDeletePrevio', 'String').SetString(rsDeletePrevio);
  CL.AddConstantN('rsGetAsteroidL', 'String').SetString(rsGetAsteroidL);
  CL.AddConstantN('rsEndProcessin', 'String').SetString(rsEndProcessin);
  CL.AddConstantN('rsProcessing', 'String').SetString(rsProcessing);
  CL.AddConstantN('rsMoveLabel', 'String').SetString(rsMoveLabel);
  CL.AddConstantN('rsDefaultLabel', 'String').SetString(rsDefaultLabel);
  CL.AddConstantN('rsHideLabel', 'String').SetString(rsHideLabel);
  CL.AddConstantN('rsLanguage2', 'String').SetString(rsLanguage2);
  CL.AddConstantN('rsLanguageSele', 'String').SetString(rsLanguageSele);
  CL.AddConstantN('rsMoreStars', 'String').SetString(rsMoreStars);
  CL.AddConstantN('rsLessStars', 'String').SetString(rsLessStars);
  CL.AddConstantN('rsMoreNebulae', 'String').SetString(rsMoreNebulae);
  CL.AddConstantN('rsLessNebulae', 'String').SetString(rsLessNebulae);
  CL.AddConstantN('rsTimeUnits', 'String').SetString(rsTimeUnits);
  CL.AddConstantN('rsSetFOVTo', 'String').SetString(rsSetFOVTo);
  CL.AddConstantN('rsNebulaCommon', 'String').SetString(rsNebulaCommon);
  CL.AddConstantN('rsStarCommonNa', 'String').SetString(rsStarCommonNa);
  CL.AddConstantN('rsCommonName', 'String').SetString(rsCommonName);
  CL.AddConstantN('rsPostscript', 'String').SetString(rsPostscript);
  CL.AddConstantN('rsBitmap', 'String').SetString(rsBitmap);
  CL.AddConstantN('rsColorLineMod', 'String').SetString(rsColorLineMod);
  CL.AddConstantN('rsBlackWhiteLi', 'String').SetString(rsBlackWhiteLi);
  CL.AddConstantN('rsAsOnScreenBl', 'String').SetString(rsAsOnScreenBl);
  CL.AddConstantN('rsPortrait', 'String').SetString(rsPortrait);
  CL.AddConstantN('rsLandscape', 'String').SetString(rsLandscape);
  CL.AddConstantN('rsSystemPrinte', 'String').SetString(rsSystemPrinte);
  CL.AddConstantN('rsBitmapFile', 'String').SetString(rsBitmapFile);
  CL.AddConstantN('rsMeanPosition', 'String').SetString(rsMeanPosition);
  CL.AddConstantN('rsTruePosition', 'String').SetString(rsTruePosition);
  CL.AddConstantN('rsAzimuthalCoo', 'String').SetString(rsAzimuthalCoo);
  CL.AddConstantN('rsLineMode', 'String').SetString(rsLineMode);
  CL.AddConstantN('rsGraphic', 'String').SetString(rsGraphic);
  CL.AddConstantN('rsPhotographic2', 'String').SetString(rsPhotographic2);
  CL.AddConstantN('rsParametric', 'String').SetString(rsParametric);
  CL.AddConstantN('rsRed', 'String').SetString(rsRed);
  CL.AddConstantN('rsWhiteOnBlack', 'String').SetString(rsWhiteOnBlack);
  CL.AddConstantN('rsBlackOnWhite', 'String').SetString(rsBlackOnWhite);
  CL.AddConstantN('rsGreen', 'String').SetString(rsGreen);
  CL.AddConstantN('rsFixedBlack', 'String').SetString(rsFixedBlack);
  CL.AddConstantN('rsAbbreviation', 'String').SetString(rsAbbreviation);
  CL.AddConstantN('rsGeocentric', 'String').SetString(rsGeocentric);
  CL.AddConstantN('rsTopoCentric', 'String').SetString(rsTopoCentric);
  CL.AddConstantN('rsLineModeDraw', 'String').SetString(rsLineModeDraw);
  CL.AddConstantN('rsRealisticsIm', 'String').SetString(rsRealisticsIm);
  CL.AddConstantN('rsSymbol', 'String').SetString(rsSymbol);
  CL.AddConstantN('rsDisplayAsASy', 'String').SetString(rsDisplayAsASy);
  CL.AddConstantN('rsProportional', 'String').SetString(rsProportional);
  CL.AddConstantN('rsProportional2', 'String').SetString(rsProportional2);
  CL.AddConstantN('rsEquatorialMo', 'String').SetString(rsEquatorialMo);
  CL.AddConstantN('rsAltAzMount', 'String').SetString(rsAltAzMount);
  CL.AddConstantN('rsNebulaeOrOth', 'String').SetString(rsNebulaeOrOth);
  CL.AddConstantN('rsNebulaeOutli', 'String').SetString(rsNebulaeOutli);
  CL.AddConstantN('rsBinaryIndexe', 'String').SetString(rsBinaryIndexe);
  CL.AddConstantN('rsTextFileCata', 'String').SetString(rsTextFileCata);
  CL.AddConstantN('rsHoursMinutes', 'String').SetString(rsHoursMinutes);
  CL.AddConstantN('rsDecimalHours', 'String').SetString(rsDecimalHours);
  CL.AddConstantN('rsDegreesMinut', 'String').SetString(rsDegreesMinut);
  CL.AddConstantN('rsDecimalDegre', 'String').SetString(rsDecimalDegre);
  CL.AddConstantN('rsDecimalSouth', 'String').SetString(rsDecimalSouth);
  CL.AddConstantN('rsSpline', 'String').SetString(rsSpline);
  CL.AddConstantN('rs50Recommende', 'String').SetString(rs50Recommende);
  CL.AddConstantN('rs184Recommend', 'String').SetString(rs184Recommend);
  CL.AddConstantN('rs732Recommend', 'String').SetString(rs732Recommend);
  CL.AddConstantN('rs9537LargerDa', 'String').SetString(rs9537LargerDa);
  CL.AddConstantN('rsMonday', 'String').SetString(rsMonday);
  CL.AddConstantN('rsTuesday', 'String').SetString(rsTuesday);
  CL.AddConstantN('rsWednesday', 'String').SetString(rsWednesday);
  CL.AddConstantN('rsThursday', 'String').SetString(rsThursday);
  CL.AddConstantN('rsFriday', 'String').SetString(rsFriday);
  CL.AddConstantN('rsSaturday', 'String').SetString(rsSaturday);
  CL.AddConstantN('rsSunday', 'String').SetString(rsSunday);
  CL.AddConstantN('rsJulianDay', 'String').SetString(rsJulianDay);
  CL.AddConstantN('rsToday', 'String').SetString(rsToday);
  CL.AddConstantN('rsJDCalendar', 'String').SetString(rsJDCalendar);
  CL.AddConstantN('rsWarningTheCu', 'String').SetString(rsWarningTheCu);
  CL.AddConstantN('rsCoordinates', 'String').SetString(rsCoordinates);
  CL.AddConstantN('rsPleaseReport', 'String').SetString(rsPleaseReport);
  CL.AddConstantN('rsProgrammer', 'String').SetString(rsProgrammer);
  CL.AddConstantN('rsTranslator', 'String').SetString(rsTranslator);
  CL.AddConstantN('rsCDCTranslator', 'String').SetString(rsCDCTranslator);
  CL.AddConstantN('rsAuthors', 'String').SetString(rsAuthors);
  CL.AddConstantN('rsLicenseAgree', 'String').SetString(rsLicenseAgree);
  CL.AddConstantN('rsPlutoIsAPlan', 'String').SetString(rsPlutoIsAPlan);
  CL.AddConstantN('rsUncheckToAvo', 'String').SetString(rsUncheckToAvo);
  CL.AddConstantN('rsRequireXplan', 'String').SetString(rsRequireXplan);
  CL.AddConstantN('rsEveryPositio', 'String').SetString(rsEveryPositio);
  CL.AddConstantN('rsOnlyTheFirst', 'String').SetString(rsOnlyTheFirst);
  CL.AddConstantN('rsOnlyTheLast', 'String').SetString(rsOnlyTheLast);
  CL.AddConstantN('rsLabelText', 'String').SetString(rsLabelText);
  CL.AddConstantN('rsCurrentDate', 'String').SetString(rsCurrentDate);
  CL.AddConstantN('rsFillWithHori', 'String').SetString(rsFillWithHori);
  CL.AddConstantN('rsAD', 'String').SetString(rsAD);
  CL.AddConstantN('rsBC', 'String').SetString(rsBC);
  CL.AddConstantN('rsSelectTheTel', 'String').SetString(rsSelectTheTel);
  CL.AddConstantN('rsINDIDriver', 'String').SetString(rsINDIDriver);
  CL.AddConstantN('rsNoPrinterFou', 'String').SetString(rsNoPrinterFou);
  CL.AddConstantN('rsCompassRoseS', 'String').SetString(rsCompassRoseS);
  CL.AddConstantN('rsShowCompass', 'String').SetString(rsShowCompass);
  CL.AddConstantN('rsProgramInfor', 'String').SetString(rsProgramInfor);
  CL.AddConstantN('rsCountryTimez', 'String').SetString(rsCountryTimez);
  CL.AddConstantN('rsMoreOptions', 'String').SetString(rsMoreOptions);
  CL.AddConstantN('rsWarningYouAr2', 'String').SetString(rsWarningYouAr2);
  CL.AddConstantN('rsReleaseNotes', 'String').SetString(rsReleaseNotes);
  CL.AddConstantN('rsBlinkingPict', 'String').SetString(rsBlinkingPict);
  CL.AddConstantN('rsExpertMode', 'String').SetString(rsExpertMode);
  CL.AddConstantN('rsTypeOfCoordi', 'String').SetString(rsTypeOfCoordi);
  CL.AddConstantN('rsApparent', 'String').SetString(rsApparent);
  CL.AddConstantN('rsMeanOfTheDat', 'String').SetString(rsMeanOfTheDat);
  CL.AddConstantN('rsMeanJ2000', 'String').SetString(rsMeanJ2000);
  CL.AddConstantN('rsMean', 'String').SetString(rsMean);
  CL.AddConstantN('rsNoProperMo', 'String').SetString(rsNoProperMo);
  CL.AddConstantN('rsAstrometricJ', 'String').SetString(rsAstrometricJ);
  CL.AddConstantN('rsTrueEquatorE', 'String').SetString(rsTrueEquatorE);
  CL.AddConstantN('rsMeanEquatorE', 'String').SetString(rsMeanEquatorE);
  CL.AddConstantN('rsMeanEquinoxA', 'String').SetString(rsMeanEquinoxA);
  CL.AddConstantN('rsMeanEquinoxJ', 'String').SetString(rsMeanEquinoxJ);
  CL.AddConstantN('rsEpoch', 'String').SetString(rsEpoch);
  CL.AddConstantN('rsAlignment', 'String').SetString(rsAlignment);
  CL.AddConstantN('rsCenter', 'String').SetString(rsCenter);
  CL.AddConstantN('rsRequestTimeo', 'String').SetString(rsRequestTimeo);
  CL.AddConstantN('rsUnableToCrea', 'String').SetString(rsUnableToCrea);
  CL.AddConstantN('rsPleaseTryToC', 'String').SetString(rsPleaseTryToC);
  CL.AddConstantN('rsCouldNotLoad', 'String').SetString(rsCouldNotLoad);
  CL.AddConstantN('rsPleaseTryToR', 'String').SetString(rsPleaseTryToR);
  CL.AddConstantN('rsSomethingGoW', 'String').SetString(rsSomethingGoW);
  CL.AddConstantN('rsStopTCPIPSer', 'String').SetString(rsStopTCPIPSer);
  CL.AddConstantN('rsDateFormat', 'String').SetString(rsDateFormat);
  CL.AddConstantN('rsFixedSkyColo', 'String').SetString(rsFixedSkyColo);
  CL.AddConstantN('rsProperMotion3', 'String').SetString(rsProperMotion3);
  CL.AddConstantN('rsGetRecentMea', 'String').SetString(rsGetRecentMea);
  CL.AddConstantN('rsReduceDetail', 'String').SetString(rsReduceDetail);
  CL.AddConstantN('rsVariableStar2', 'String').SetString(rsVariableStar2);
  CL.AddConstantN('rsAllConfigura', 'String').SetString(rsAllConfigura);
  CL.AddConstantN('rsAskConfirmat', 'String').SetString(rsAskConfirmat);
  CL.AddConstantN('rsInformationD', 'String').SetString(rsInformationD);
  CL.AddConstantN('rsDisplayLabel', 'String').SetString(rsDisplayLabel);
  CL.AddConstantN('rsUsingExistin', 'String').SetString(rsUsingExistin);
  CL.AddConstantN('rsSideral', 'String').SetString(rsSideral);
  CL.AddConstantN('rsBrightStarsS', 'String').SetString(rsBrightStarsS);
  CL.AddConstantN('rsLegal', 'String').SetString(rsLegal);
  CL.AddConstantN('rsMeanLocal', 'String').SetString(rsMeanLocal);
  CL.AddConstantN('rsJD2', 'String').SetString(rsJD2);
  CL.AddConstantN('rsClock', 'String').SetString(rsClock);
  CL.AddConstantN('rsSkychartIcon', 'String').SetString(rsSkychartIcon);
  CL.AddConstantN('rsAppearance', 'String').SetString(rsAppearance);
  CL.AddConstantN('rsIconSize', 'String').SetString(rsIconSize);
  CL.AddConstantN('rsText', 'String').SetString(rsText);
  CL.AddConstantN('rsTextSize', 'String').SetString(rsTextSize);
  CL.AddConstantN('rsIconTime', 'String').SetString(rsIconTime);
  CL.AddConstantN('rsTrueSolar', 'String').SetString(rsTrueSolar);
  CL.AddConstantN('rsCompiledWith', 'String').SetString(rsCompiledWith);
  CL.AddConstantN('rsFAQ', 'String').SetString(rsFAQ);
  CL.AddConstantN('rsQuickStartGu', 'String').SetString(rsQuickStartGu);
  CL.AddConstantN('rsSmallStars', 'String').SetString(rsSmallStars);
  CL.AddConstantN('rsBigStars', 'String').SetString(rsBigStars);
  CL.AddConstantN('rsResetChartAn', 'String').SetString(rsResetChartAn);
  CL.AddConstantN('rsIconClickAct', 'String').SetString(rsIconClickAct);
  CL.AddConstantN('rsAction', 'String').SetString(rsAction);
  CL.AddConstantN('rsPrefixNameWi', 'String').SetString(rsPrefixNameWi);
  CL.AddConstantN('rsNextChart', 'String').SetString(rsNextChart);
  CL.AddConstantN('rsPrintedChart', 'String').SetString(rsPrintedChart);
  CL.AddConstantN('rsStarsBitmapF', 'String').SetString(rsStarsBitmapF);
  CL.AddConstantN('rsPastel', 'String').SetString(rsPastel);
  CL.AddConstantN('rsCannotWriteT', 'String').SetString(rsCannotWriteT);
  CL.AddConstantN('rsMagnitudeEcl', 'String').SetString(rsMagnitudeEcl);
  CL.AddConstantN('rsWarningSomeC', 'String').SetString(rsWarningSomeC);
  CL.AddConstantN('rsWarningSomeA', 'String').SetString(rsWarningSomeA);
  CL.AddConstantN('rsDirectoryNot2', 'String').SetString(rsDirectoryNot2);
  CL.AddConstantN('rsWarning', 'String').SetString(rsWarning);
  CL.AddConstantN('rsChangeToThis', 'String').SetString(rsChangeToThis);
  CL.AddConstantN('rsDownloadFile', 'String').SetString(rsDownloadFile);
  CL.AddConstantN('rsCopyFrom', 'String').SetString(rsCopyFrom);
  CL.AddConstantN('rsToFile', 'String').SetString(rsToFile);
  CL.AddConstantN('rsASCOMTelesc', 'String').SetString(rsASCOMTelesc);
  CL.AddConstantN('rsIntTelesco', 'String').SetString(rsIntTelesco);
  CL.AddConstantN('rsUseTheMenuOr', 'String').SetString(rsUseTheMenuOr);
  CL.AddConstantN('rsOtherSoftwar', 'String').SetString(rsOtherSoftwar);
  CL.AddConstantN('rsInvalidPath', 'String').SetString(rsInvalidPath);
  CL.AddConstantN('rsShowPosition', 'String').SetString(rsShowPosition);
  CL.AddConstantN('rsCopyCoordina', 'String').SetString(rsCopyCoordina);
  CL.AddConstantN('rsResetInitial', 'String').SetString(rsResetInitial);
  CL.AddConstantN('rsResetToLastT', 'String').SetString(rsResetToLastT);
  CL.AddConstantN('rsNoAstronomic', 'String').SetString(rsNoAstronomic);
  CL.AddConstantN('rsTonight', 'String').SetString(rsTonight);
  CL.AddConstantN('rsAlwaysSaveWi', 'String').SetString(rsAlwaysSaveWi);
  CL.AddConstantN('rsArtificialSa2', 'String').SetString(rsArtificialSa2);
  CL.AddConstantN('rsPutTheFilesW', 'String').SetString(rsPutTheFilesW);
  CL.AddConstantN('rsBeSureTheyUs', 'String').SetString(rsBeSureTheyUs);
  CL.AddConstantN('rsCleanupMap', 'String').SetString(rsCleanupMap);
  CL.AddConstantN('rsGraphs', 'String').SetString(rsGraphs);
  CL.AddConstantN('rsSatellitesCa', 'String').SetString(rsSatellitesCa);
  CL.AddConstantN('rsIncludeDayTi', 'String').SetString(rsIncludeDayTi);
  CL.AddConstantN('rsCannotComput', 'String').SetString(rsCannotComput);
  CL.AddConstantN('rsPleaseInstWine', 'String').SetString(rsPleaseInstWine);
  CL.AddConstantN('rsIfItIsNotIns', 'String').SetString(rsIfItIsNotIns);
  CL.AddConstantN('rsSorryCopyIsN', 'String').SetString(rsSorryCopyIsN);
  CL.AddConstantN('rsDownloadTLE', 'String').SetString(rsDownloadTLE);
  CL.AddConstantN('rsAnimation', 'String').SetString(rsAnimation);
  CL.AddConstantN('rsRealTimeOpti', 'String').SetString(rsRealTimeOpti);
  CL.AddConstantN('rsDelayBetween', 'String').SetString(rsDelayBetween);
  CL.AddConstantN('rsRecordingOpt', 'String').SetString(rsRecordingOpt);
  CL.AddConstantN('rsRecordAnimat', 'String').SetString(rsRecordAnimat);
  CL.AddConstantN('rsRecordingDir', 'String').SetString(rsRecordingDir);
  CL.AddConstantN('rsRecordingPre', 'String').SetString(rsRecordingPre);
  CL.AddConstantN('rsRecordingExt', 'String').SetString(rsRecordingExt);
  CL.AddConstantN('rsFramesPerSec', 'String').SetString(rsFramesPerSec);
  CL.AddConstantN('rsFramesSize', 'String').SetString(rsFramesSize);
  CL.AddConstantN('rsAdditionalFf', 'String').SetString(rsAdditionalFf);
  CL.AddConstantN('rsFfmpegProgra', 'String').SetString(rsFfmpegProgra);
  CL.AddConstantN('rsNoChange', 'String').SetString(rsNoChange);
  CL.AddConstantN('rsFreeSize', 'String').SetString(rsFreeSize);
  CL.AddConstantN('rsEphemeris', 'String').SetString(rsEphemeris);
  CL.AddConstantN('rsCannotGetYou', 'String').SetString(rsCannotGetYou);
  CL.AddConstantN('rsLocationCode', 'String').SetString(rsLocationCode);
  CL.AddConstantN('rsUseOnlineSun', 'String').SetString(rsUseOnlineSun);
  CL.AddConstantN('rsSunImageSour', 'String').SetString(rsSunImageSour);
  CL.AddConstantN('rsFavorite', 'String').SetString(rsFavorite);
  CL.AddConstantN('rsInternetLoca', 'String').SetString(rsInternetLoca);
  CL.AddConstantN('rsRefreshImage', 'String').SetString(rsRefreshImage);
  CL.AddConstantN('rsHours', 'String').SetString(rsHours);
  CL.AddConstantN('rsServerRespon', 'String').SetString(rsServerRespon);
  CL.AddConstantN('rsAntiAliasDra', 'String').SetString(rsAntiAliasDra);
  CL.AddConstantN('rsOffsetLabel', 'String').SetString(rsOffsetLabel);
  CL.AddConstantN('rsShowLineFrom', 'String').SetString(rsShowLineFrom);
  CL.AddConstantN('rsInformationF', 'String').SetString(rsInformationF);
  CL.AddConstantN('rsNumberOfCopi', 'String').SetString(rsNumberOfCopi);
  CL.AddConstantN('rsPreview', 'String').SetString(rsPreview);
  CL.AddConstantN('rsPrintPreview', 'String').SetString(rsPrintPreview);
  CL.AddConstantN('rsTrackTelesco', 'String').SetString(rsTrackTelesco);
  CL.AddConstantN('rsSlewToCursor', 'String').SetString(rsSlewToCursor);
  CL.AddConstantN('rsFinderCircle2', 'String').SetString(rsFinderCircle2);
  CL.AddConstantN('rsLoadFromFile', 'String').SetString(rsLoadFromFile);
  CL.AddConstantN('rsASCOMRemote', 'String').SetString(rsASCOMRemote);
  CL.AddConstantN('rsDriverSelect', 'String').SetString(rsDriverSelect);
  CL.AddConstantN('rsRefreshRate', 'String').SetString(rsRefreshRate);
  CL.AddConstantN('rsSelect', 'String').SetString(rsSelect);
  CL.AddConstantN('rsConfigure', 'String').SetString(rsConfigure);
  CL.AddConstantN('rsSetTime', 'String').SetString(rsSetTime);
  CL.AddConstantN('rsTracking', 'String').SetString(rsTracking);
  CL.AddConstantN('rsConnect', 'String').SetString(rsConnect);
  CL.AddConstantN('rsDisconnect', 'String').SetString(rsDisconnect);
  CL.AddConstantN('rsHide', 'String').SetString(rsHide);
  CL.AddConstantN('rsPleaseEnsure', 'String').SetString(rsPleaseEnsure);
  CL.AddConstantN('rsSeeHttpAscom', 'String').SetString(rsSeeHttpAscom);
  CL.AddConstantN('rsClear', 'String').SetString(rsClear);
  CL.AddConstantN('rsConnected', 'String').SetString(rsConnected);
  CL.AddConstantN('rsDiconnected', 'String').SetString(rsDiconnected);
  CL.AddConstantN('rsStop', 'String').SetString(rsStop);
  CL.AddConstantN('rsClearTarget', 'String').SetString(rsClearTarget);
  CL.AddConstantN('rsSetTargetTo', 'String').SetString(rsSetTargetTo);
  CL.AddConstantN('rsNoTargetObje', 'String').SetString(rsNoTargetObje);
  CL.AddConstantN('rsDrift', 'String').SetString(rsDrift);
  CL.AddConstantN('rsShowVirtualO', 'String').SetString(rsShowVirtualO);
  CL.AddConstantN('rsConfirmFileD', 'String').SetString(rsConfirmFileD);
  CL.AddConstantN('rsVirtualObser', 'String').SetString(rsVirtualObser);
  CL.AddConstantN('rsVOCatalog', 'String').SetString(rsVOCatalog);
  CL.AddConstantN('rsCatalogsAvai', 'String').SetString(rsCatalogsAvai);
  CL.AddConstantN('rsVOCatalogBro', 'String').SetString(rsVOCatalogBro);
  CL.AddConstantN('rsSearchCatalo', 'String').SetString(rsSearchCatalo);
  CL.AddConstantN('rsSelectCatalo', 'String').SetString(rsSelectCatalo);
  CL.AddConstantN('rsCannotConnec', 'String').SetString(rsCannotConnec);
  CL.AddConstantN('rsFieldName', 'String').SetString(rsFieldName);
  CL.AddConstantN('rsDataType', 'String').SetString(rsDataType);
  CL.AddConstantN('rsUnits', 'String').SetString(rsUnits);
  CL.AddConstantN('rsNoCatalogSel', 'String').SetString(rsNoCatalogSel);
  CL.AddConstantN('rsNoData', 'String').SetString(rsNoData);
  CL.AddConstantN('rsLoadingCatal', 'String').SetString(rsLoadingCatal);
  CL.AddConstantN('rsThisCatalogC', 'String').SetString(rsThisCatalogC);
  CL.AddConstantN('rsTheNumberOfR', 'String').SetString(rsTheNumberOfR);
  CL.AddConstantN('rsMakeSelectio', 'String').SetString(rsMakeSelectio);
  CL.AddConstantN('rsTable', 'String').SetString(rsTable);
  CL.AddConstantN('rsRows', 'String').SetString(rsRows);
  CL.AddConstantN('rsDefaultMagni', 'String').SetString(rsDefaultMagni);
  CL.AddConstantN('rsDefaultSizeA', 'String').SetString(rsDefaultSizeA);
  CL.AddConstantN('rsDownloadFull', 'String').SetString(rsDownloadFull);
  CL.AddConstantN('rsBack', 'String').SetString(rsBack);
  CL.AddConstantN('rsDownloadCata', 'String').SetString(rsDownloadCata);
  CL.AddConstantN('rsCannotDraw', 'String').SetString(rsCannotDraw);
  CL.AddConstantN('rsDrawAsStar', 'String').SetString(rsDrawAsStar);
  CL.AddConstantN('rsDrawAsDSO', 'String').SetString(rsDrawAsDSO);
  CL.AddConstantN('rsReload', 'String').SetString(rsReload);
  CL.AddConstantN('rsByName', 'String').SetString(rsByName);
  CL.AddConstantN('rsAroundCurren', 'String').SetString(rsAroundCurren);
  CL.AddConstantN('rsSelectMirror', 'String').SetString(rsSelectMirror);
  CL.AddConstantN('rsReloadForCur', 'String').SetString(rsReloadForCur);
  CL.AddConstantN('rsDataPreview', 'String').SetString(rsDataPreview);
  CL.AddConstantN('rsOnlineSearch', 'String').SetString(rsOnlineSearch);
  CL.AddConstantN('rsOnlineSearch2', 'String').SetString(rsOnlineSearch2);
  CL.AddConstantN('rsMoreInformat', 'String').SetString(rsMoreInformat);
  CL.AddConstantN('rsSearchByName', 'String').SetString(rsSearchByName);
  CL.AddConstantN('rsSearchByPosi', 'String').SetString(rsSearchByPosi);
  CL.AddConstantN('rsAzimuthOrigi', 'String').SetString(rsAzimuthOrigi);
  CL.AddConstantN('rsUserDefinedO', 'String').SetString(rsUserDefinedO);
  CL.AddConstantN('rsShowUserDefi', 'String').SetString(rsShowUserDefi);
  CL.AddConstantN('rsMaximumRows', 'String').SetString(rsMaximumRows);
  CL.AddConstantN('rsSelectColorB', 'String').SetString(rsSelectColorB);
  CL.AddConstantN('rsShowOnlyMeri', 'String').SetString(rsShowOnlyMeri);
  CL.AddConstantN('rsOneEvery', 'String').SetString(rsOneEvery);
  CL.AddConstantN('rsComponent', 'String').SetString(rsComponent);
  CL.AddConstantN('rsShowDSOLines', 'String').SetString(rsShowDSOLines);
  CL.AddConstantN('rsTransparency', 'String').SetString(rsTransparency);
  CL.AddConstantN('rsUseSocksProx', 'String').SetString(rsUseSocksProx);
  CL.AddConstantN('rsEditDSOLines', 'String').SetString(rsEditDSOLines);
  CL.AddConstantN('rsChartLegend', 'String').SetString(rsChartLegend);
  CL.AddConstantN('rsDistanceMeas', 'String').SetString(rsDistanceMeas);
  CL.AddConstantN('rsExampleOfUse', 'String').SetString(rsExampleOfUse);
  CL.AddConstantN('rsShowMarkInde', 'String').SetString(rsShowMarkInde);
  CL.AddConstantN('rsAbrevAsteroid', 'String').SetString(rsAbrevAsteroid);
  CL.AddConstantN('rsAbrevComet', 'String').SetString(rsAbrevComet);
  CL.AddConstantN('rsAbrevVariable', 'String').SetString(rsAbrevVariable);
  CL.AddConstantN('rsAbrevDouble', 'String').SetString(rsAbrevDouble);
  CL.AddConstantN('rsAbrevDark', 'String').SetString(rsAbrevDark);
  CL.AddConstantN('rsAbrevGalaxyCluster', 'String').SetString(rsAbrevGalaxyCluster);
  CL.AddConstantN('rsAbrevGalaxy', 'String').SetString(rsAbrevGalaxy);
  CL.AddConstantN('rsAbrevOpenCluster', 'String').SetString(rsAbrevOpenCluster);
  CL.AddConstantN('rsAbrevGlobularCluster', 'String').SetString(rsAbrevGlobularCluster);
  CL.AddConstantN('rsAbrevPlanetaryNebula', 'String').SetString(rsAbrevPlanetaryNebula);
  CL.AddConstantN('rsAbrevNebula', 'String').SetString(rsAbrevNebula);
  CL.AddConstantN('rsAbrevClusterNebula', 'String').SetString(rsAbrevClusterNebula);
  CL.AddConstantN('rsShowOnlyText', 'String').SetString(rsShowOnlyText);
  CL.AddConstantN('rsButNeverFain', 'String').SetString(rsButNeverFain);
  CL.AddConstantN('rsShowNearEart', 'String').SetString(rsShowNearEart);
  CL.AddConstantN('rsAutomaticall2', 'String').SetString(rsAutomaticall2);
  CL.AddConstantN('rsDoNotFilterM', 'String').SetString(rsDoNotFilterM);
  CL.AddConstantN('rsAllObjectsAt', 'String').SetString(rsAllObjectsAt);
  CL.AddConstantN('rsZoomMoreToVi', 'String').SetString(rsZoomMoreToVi);
  CL.AddConstantN('rsRotateBy180D', 'String').SetString(rsRotateBy180D);
  CL.AddConstantN('rsResetRotatio', 'String').SetString(rsResetRotatio);
  CL.AddConstantN('rsRotateCylind', 'String').SetString(rsRotateCylind);
  CL.AddConstantN('rsHammerAitoff', 'String').SetString(rsHammerAitoff);
  CL.AddConstantN('rsMercator', 'String').SetString(rsMercator);
  CL.AddConstantN('rsCartesian', 'String').SetString(rsCartesian);
  CL.AddConstantN('rsZenitalEquid', 'String').SetString(rsZenitalEquid);
  CL.AddConstantN('rsGnomonic', 'String').SetString(rsGnomonic);
  CL.AddConstantN('rsSlantOrthogr', 'String').SetString(rsSlantOrthogr);
  CL.AddConstantN('rsMinimalAltit', 'String').SetString(rsMinimalAltit);
  CL.AddConstantN('rsEphemerisPro', 'String').SetString(rsEphemerisPro);
  CL.AddConstantN('rsHumidity', 'String').SetString(rsHumidity);
  CL.AddConstantN('rsTroposphereT', 'String').SetString(rsTroposphereT);
  CL.AddConstantN('rsPolarMotionA', 'String').SetString(rsPolarMotionA);
  CL.AddConstantN('rsEarth', 'String').SetString(rsEarth);
  CL.AddConstantN('rsPlanetVisibi', 'String').SetString(rsPlanetVisibi);
  CL.AddConstantN('rsInnerSolarSy', 'String').SetString(rsInnerSolarSy);
  CL.AddConstantN('rsOuterSolarSy', 'String').SetString(rsOuterSolarSy);
  CL.AddConstantN('rsSolarSystemI', 'String').SetString(rsSolarSystemI);
  CL.AddConstantN('rsWarningLowRe', 'String').SetString(rsWarningLowRe);
  CL.AddConstantN('rsDisplayTheHo', 'String').SetString(rsDisplayTheHo);
  CL.AddConstantN('rsPictureAngle', 'String').SetString(rsPictureAngle);
  CL.AddConstantN('rsMillionKm', 'String').SetString(rsMillionKm);
  CL.AddConstantN('rsDSOCatalogPi', 'String').SetString(rsDSOCatalogPi);
  CL.AddConstantN('rsTheImageDire', 'String').SetString(rsTheImageDire);
  CL.AddConstantN('rsShowASingleP', 'String').SetString(rsShowASingleP);
  CL.AddConstantN('rsViewHeader', 'String').SetString(rsViewHeader);
  CL.AddConstantN('rsImageArchive', 'String').SetString(rsImageArchive);
  CL.AddConstantN('rsDownloadArch', 'String').SetString(rsDownloadArch);
  CL.AddConstantN('rsArchiveToDir', 'String').SetString(rsArchiveToDir);
  CL.AddConstantN('rsImageList', 'String').SetString(rsImageList);
  CL.AddConstantN('rsArchiveThisI', 'String').SetString(rsArchiveThisI);
  CL.AddConstantN('rsFilenameWith', 'String').SetString(rsFilenameWith);
  CL.AddConstantN('rsVisualisatio', 'String').SetString(rsVisualisatio);
  CL.AddConstantN('rsLinear', 'String').SetString(rsLinear);
  CL.AddConstantN('rsScaled', 'String').SetString(rsScaled);
  CL.AddConstantN('rsLog', 'String').SetString(rsLog);
  CL.AddConstantN('rsSqrt', 'String').SetString(rsSqrt);
  CL.AddConstantN('rsConfirmation', 'String').SetString(rsConfirmation);
  CL.AddConstantN('rsCount', 'String').SetString(rsCount);
  CL.AddConstantN('rsScanArchives', 'String').SetString(rsScanArchives);
  CL.AddConstantN('rsMaximumNumbe', 'String').SetString(rsMaximumNumbe);
  CL.AddConstantN('rsShowTheImage', 'String').SetString(rsShowTheImage);
  CL.AddConstantN('rsAdjustTheVis', 'String').SetString(rsAdjustTheVis);
  CL.AddConstantN('rsUseASimplePo', 'String').SetString(rsUseASimplePo);
  CL.AddConstantN('rsErrorFileNot', 'String').SetString(rsErrorFileNot);
  CL.AddConstantN('rsHighQuality', 'String').SetString(rsHighQuality);
  CL.AddConstantN('rsDarkNight', 'String').SetString(rsDarkNight);
  CL.AddConstantN('rsStart', 'String').SetString(rsStart);
  CL.AddConstantN('rsEnd', 'String').SetString(rsEnd);
  CL.AddConstantN('rsStartGraphAt', 'String').SetString(rsStartGraphAt);
  CL.AddConstantN('rsSelectCircle', 'String').SetString(rsSelectCircle);
  CL.AddConstantN('rsSelectRectan', 'String').SetString(rsSelectRectan);
  CL.AddConstantN('rsAdvancedSett2', 'String').SetString(rsAdvancedSett2);
  CL.AddConstantN('rsDoNotChangeA', 'String').SetString(rsDoNotChangeA);
  CL.AddConstantN('rsForceEqSys', 'String').SetString(rsForceEqSys);
  CL.AddConstantN('rsBrightest', 'String').SetString(rsBrightest);
  CL.AddConstantN('rsAllSAMPClien', 'String').SetString(rsAllSAMPClien);
  CL.AddConstantN('rsSAMPConfirma', 'String').SetString(rsSAMPConfirma);
  CL.AddConstantN('rsASAMPApplica', 'String').SetString(rsASAMPApplica);
  CL.AddConstantN('rsASAMPApplica2', 'String').SetString(rsASAMPApplica2);
  CL.AddConstantN('rsASAMPApplica3', 'String').SetString(rsASAMPApplica3);
  CL.AddConstantN('rsDoYouWantToL', 'String').SetString(rsDoYouWantToL);
  CL.AddConstantN('rsDoYouWantToM', 'String').SetString(rsDoYouWantToM);
  CL.AddConstantN('rsSAMPStatus', 'String').SetString(rsSAMPStatus);
  CL.AddConstantN('rsClientList', 'String').SetString(rsClientList);
  CL.AddConstantN('rsSAMPIsAMessa', 'String').SetString(rsSAMPIsAMessa);
  CL.AddConstantN('rsVOSAMPSettin', 'String').SetString(rsVOSAMPSettin);
  CL.AddConstantN('rsForMoreInfor', 'String').SetString(rsForMoreInfor);
  CL.AddConstantN('rsAskForConfir', 'String').SetString(rsAskForConfir);
  CL.AddConstantN('rsAskForConfir2', 'String').SetString(rsAskForConfir2);
  CL.AddConstantN('rsAskForConfir3', 'String').SetString(rsAskForConfir3);
  CL.AddConstantN('rsReceiveCoord', 'String').SetString(rsReceiveCoord);
  CL.AddConstantN('rsReceiveFITSI', 'String').SetString(rsReceiveFITSI);
  CL.AddConstantN('rsReceiveVOTab', 'String').SetString(rsReceiveVOTab);
  CL.AddConstantN('rsTryToAutoCon', 'String').SetString(rsTryToAutoCon);
  CL.AddConstantN('rsKeepTablesOn', 'String').SetString(rsKeepTablesOn);
  CL.AddConstantN('rsKeepImagesOn', 'String').SetString(rsKeepImagesOn);
  CL.AddConstantN('rsSendTableTo', 'String').SetString(rsSendTableTo);
  CL.AddConstantN('rsSendImageTo', 'String').SetString(rsSendImageTo);
  CL.AddConstantN('rsSAMPSetup', 'String').SetString(rsSAMPSetup);
  CL.AddConstantN('rsConnectToSAM', 'String').SetString(rsConnectToSAM);
  CL.AddConstantN('rsDisconnectFr', 'String').SetString(rsDisconnectFr);
  CL.AddConstantN('rsDeltaTError', 'String').SetString(rsDeltaTError);
  CL.AddConstantN('rsShowImageNam', 'String').SetString(rsShowImageNam);
  CL.AddConstantN('rsCalendarGrap', 'String').SetString(rsCalendarGrap);
  CL.AddConstantN('rsGraphHeight', 'String').SetString(rsGraphHeight);
  CL.AddConstantN('rsChangeMouseM', 'String').SetString(rsChangeMouseM);
  CL.AddConstantN('rsShowTheSmall', 'String').SetString(rsShowTheSmall);
  CL.AddConstantN('rsAlways', 'String').SetString(rsAlways);
  CL.AddConstantN('rsNever', 'String').SetString(rsNever);
  CL.AddConstantN('rsTitle', 'String').SetString(rsTitle);
  CL.AddConstantN('rsAirmass', 'String').SetString(rsAirmass);
  CL.AddConstantN('rsAddToObservi', 'String').SetString(rsAddToObservi);
  CL.AddConstantN('rsViewObservin', 'String').SetString(rsViewObservin);
  CL.AddConstantN('rsObservingLis', 'String').SetString(rsObservingLis);
  CL.AddConstantN('rsTheObserving', 'String').SetString(rsTheObserving);
  CL.AddConstantN('rsDoYouWantToS2', 'String').SetString(rsDoYouWantToS2);
  CL.AddConstantN('rsItTakeTooLon', 'String').SetString(rsItTakeTooLon);
  CL.AddConstantN('rsOnlyObjectsW', 'String').SetString(rsOnlyObjectsW);
  CL.AddConstantN('rsOnlyObjectsW2', 'String').SetString(rsOnlyObjectsW2);
  CL.AddConstantN('rsFirst', 'String').SetString(rsFirst);
  CL.AddConstantN('rsLast', 'String').SetString(rsLast);
  CL.AddConstantN('rsNext2', 'String').SetString(rsNext2);
  CL.AddConstantN('rsPrevious', 'String').SetString(rsPrevious);
  CL.AddConstantN('rsLimit', 'String').SetString(rsLimit);
  CL.AddConstantN('rsTransit', 'String').SetString(rsTransit);
  CL.AddConstantN('rsOnlyObjectsW3', 'String').SetString(rsOnlyObjectsW3);
  CL.AddConstantN('rsOnlyObjectsW4', 'String').SetString(rsOnlyObjectsW4);
  CL.AddConstantN('rsViewOnChart', 'String').SetString(rsViewOnChart);
  CL.AddConstantN('rsUpdateCoordi', 'String').SetString(rsUpdateCoordi);
  CL.AddConstantN('rsDuplicate', 'String').SetString(rsDuplicate);
  CL.AddConstantN('rsForceColor', 'String').SetString(rsForceColor);
  CL.AddConstantN('rsTelescopeFoc', 'String').SetString(rsTelescopeFoc);
  CL.AddConstantN('rsEyepieceFoca', 'String').SetString(rsEyepieceFoca);
  CL.AddConstantN('rsEyepieceAppa', 'String').SetString(rsEyepieceAppa);
  CL.AddConstantN('rsPower', 'String').SetString(rsPower);
  CL.AddConstantN('rsPixelSize', 'String').SetString(rsPixelSize);
  CL.AddConstantN('rsPixelCount', 'String').SetString(rsPixelCount);
  CL.AddConstantN('rsEastSide', 'String').SetString(rsEastSide);
  CL.AddConstantN('rsCrossMeridia', 'String').SetString(rsCrossMeridia);
  CL.AddConstantN('rsWestSide', 'String').SetString(rsWestSide);
  CL.AddConstantN('rsEyepieceVisi', 'String').SetString(rsEyepieceVisi);
  CL.AddConstantN('rsObservingLis2', 'String').SetString(rsObservingLis2);
  CL.AddConstantN('rsSelectLabels', 'String').SetString(rsSelectLabels);
  CL.AddConstantN('rsRecoverHidde', 'String').SetString(rsRecoverHidde);
  CL.AddConstantN('rsHelpBaseDir', 'String').SetString(rsHelpBaseDir);
  CL.AddConstantN('rsPrintHeader', 'String').SetString(rsPrintHeader);
  CL.AddConstantN('rsPrintFooter', 'String').SetString(rsPrintFooter);
  CL.AddConstantN('rsSAMPSendCoor', 'String').SetString(rsSAMPSendCoor);
  CL.AddConstantN('rsGeometricAlt', 'String').SetString(rsGeometricAlt);
  CL.AddConstantN('rsUnsupportedS', 'String').SetString(rsUnsupportedS);
  CL.AddConstantN('rsSAMPHubProfi', 'String').SetString(rsSAMPHubProfi);
  CL.AddConstantN('rsNoSAMPHubPro', 'String').SetString(rsNoSAMPHubPro);
  CL.AddConstantN('rsNumberOfIgno', 'String').SetString(rsNumberOfIgno);
  CL.AddConstantN('rsOfficialName', 'String').SetString(rsOfficialName);
  CL.AddConstantN('rsLocalizedNam', 'String').SetString(rsLocalizedNam);
  CL.AddConstantN('rsIsEmpty', 'String').SetString(rsIsEmpty);
  CL.AddConstantN('rsToolBarEdito', 'String').SetString(rsToolBarEdito);
  CL.AddConstantN('rsAvailableAct', 'String').SetString(rsAvailableAct);
  CL.AddConstantN('rsMinimal', 'String').SetString(rsMinimal);
  CL.AddConstantN('rsStandard', 'String').SetString(rsStandard);
  CL.AddConstantN('rsEmpty', 'String').SetString(rsEmpty);
  CL.AddConstantN('rsStarAndNebul', 'String').SetString(rsStarAndNebul);
  CL.AddConstantN('rsSearchBox', 'String').SetString(rsSearchBox);
  CL.AddConstantN('rsEditTimeIncr', 'String').SetString(rsEditTimeIncr);
  CL.AddConstantN('rsSelectTimeUn', 'String').SetString(rsSelectTimeUn);
  CL.AddConstantN('rsFOVBar', 'String').SetString(rsFOVBar);
  CL.AddConstantN('rsDivider', 'String').SetString(rsDivider);
  CL.AddConstantN('rsSeparator', 'String').SetString(rsSeparator);
  CL.AddConstantN('rsDrawing', 'String').SetString(rsDrawing);
  CL.AddConstantN('rsFilter2', 'String').SetString(rsFilter2);
  CL.AddConstantN('rsLock', 'String').SetString(rsLock);
  CL.AddConstantN('rsDirection2', 'String').SetString(rsDirection2);
  CL.AddConstantN('rsSetupOption', 'String').SetString(rsSetupOption);
  CL.AddConstantN('rsTools', 'String').SetString(rsTools);
  CL.AddConstantN('rsZoom3', 'String').SetString(rsZoom3);
  CL.AddConstantN('rsToolBox', 'String').SetString(rsToolBox);
  CL.AddConstantN('rsScript', 'String').SetString(rsScript);
  CL.AddConstantN('rsEditScript', 'String').SetString(rsEditScript);
  CL.AddConstantN('rsClearAll', 'String').SetString(rsClearAll);
  CL.AddConstantN('rsGroup', 'String').SetString(rsGroup);
  CL.AddConstantN('rsButton', 'String').SetString(rsButton);
  CL.AddConstantN('rsMemo', 'String').SetString(rsMemo);
  CL.AddConstantN('rsSpacer', 'String').SetString(rsSpacer);
  CL.AddConstantN('rsEvent', 'String').SetString(rsEvent);
  CL.AddConstantN('rsCaption', 'String').SetString(rsCaption);
  CL.AddConstantN('rsColumns', 'String').SetString(rsColumns);
  CL.AddConstantN('rsScriptEditor', 'String').SetString(rsScriptEditor);
  CL.AddConstantN('rsDeleteAllThe', 'String').SetString(rsDeleteAllThe);
  CL.AddConstantN('rsList', 'String').SetString(rsList);
  CL.AddConstantN('rsComboBox', 'String').SetString(rsComboBox);
  CL.AddConstantN('rsActivateTheT', 'String').SetString(rsActivateTheT);
  CL.AddConstantN('rsCheckList', 'String').SetString(rsCheckList);
  CL.AddConstantN('rsRun', 'String').SetString(rsRun);
  CL.AddConstantN('rsPause', 'String').SetString(rsPause);
  CL.AddConstantN('rsStepInto', 'String').SetString(rsStepInto);
  CL.AddConstantN('rsStepOver', 'String').SetString(rsStepOver);
  CL.AddConstantN('rsRemoveAllBre', 'String').SetString(rsRemoveAllBre);
  CL.AddConstantN('rsChartCenterC', 'String').SetString(rsChartCenterC);
  CL.AddConstantN('rsAlwaysAddMer', 'String').SetString(rsAlwaysAddMer);
  CL.AddConstantN('rsHourlyMotion', 'String').SetString(rsHourlyMotion);
  CL.AddConstantN('rsKey', 'String').SetString(rsKey);
  CL.AddConstantN('rsManageToolbo', 'String').SetString(rsManageToolbo);
  CL.AddConstantN('rsSelectScript', 'String').SetString(rsSelectScript);
  CL.AddConstantN('rsOpenScript', 'String').SetString(rsOpenScript);
  CL.AddConstantN('rsScriptIsAlre', 'String').SetString(rsScriptIsAlre);
  CL.AddConstantN('rsShow0Horizon', 'String').SetString(rsShow0Horizon);
  CL.AddConstantN('rsSetOptionsFo', 'String').SetString(rsSetOptionsFo);
  CL.AddConstantN('rsVersion', 'String').SetString(rsVersion);
  CL.AddConstantN('rsConnectionTo', 'String').SetString(rsConnectionTo);
  CL.AddConstantN('rsActivateAllT', 'String').SetString(rsActivateAllT);
  CL.AddConstantN('rsButtonSize', 'String').SetString(rsButtonSize);
  CL.AddConstantN('rsShowButtonTe', 'String').SetString(rsShowButtonTe);
  CL.AddConstantN('rsUp', 'String').SetString(rsUp);
  CL.AddConstantN('rsDown', 'String').SetString(rsDown);
  CL.AddConstantN('rsExpand', 'String').SetString(rsExpand);
  CL.AddConstantN('rsCollapse', 'String').SetString(rsCollapse);
  CL.AddConstantN('rsTrajectories', 'String').SetString(rsTrajectories);
  CL.AddConstantN('rsStartForward', 'String').SetString(rsStartForward);
  CL.AddConstantN('rsStartBackwar', 'String').SetString(rsStartBackwar);
  CL.AddConstantN('rsArtificialSa3', 'String').SetString(rsArtificialSa3);
  CL.AddConstantN('rsManual', 'String').SetString(rsManual);
  CL.AddConstantN('rsScreenResolu', 'String').SetString(rsScreenResolu);
  CL.AddConstantN('rsAdjustTheWin', 'String').SetString(rsAdjustTheWin);
  CL.AddConstantN('rsGregorianCal', 'String').SetString(rsGregorianCal);
  CL.AddConstantN('rsJPLEphemeris', 'String').SetString(rsJPLEphemeris);
  CL.AddConstantN('rsSearchSoftwa', 'String').SetString(rsSearchSoftwa);
  CL.AddConstantN('rsCometElement2', 'String').SetString(rsCometElement2);
  CL.AddConstantN('rsAsteroidElem2', 'String').SetString(rsAsteroidElem2);
  CL.AddConstantN('rsAbandonYourC', 'String').SetString(rsAbandonYourC);
  CL.AddConstantN('rsAddLabelForE', 'String').SetString(rsAddLabelForE);
  CL.AddConstantN('rsCompilationA', 'String').SetString(rsCompilationA);
  CL.AddConstantN('rsMissingScrip', 'String').SetString(rsMissingScrip);
  CL.AddConstantN('rsPleaseDownlo', 'String').SetString(rsPleaseDownlo);
  CL.AddConstantN('rsTLEDownloadO', 'String').SetString(rsTLEDownloadO);
  CL.AddConstantN('rsCometUpdateS', 'String').SetString(rsCometUpdateS);
  CL.AddConstantN('rsAsteroidUpda', 'String').SetString(rsAsteroidUpda);
  CL.AddConstantN('rsNewVersionAv', 'String').SetString(rsNewVersionAv);
  CL.AddConstantN('rsNewBetaVersi', 'String').SetString(rsNewBetaVersi);
  CL.AddConstantN('rsANewVersionO', 'String').SetString(rsANewVersionO);
  CL.AddConstantN('rsYouAlreadyHa', 'String').SetString(rsYouAlreadyHa);
  CL.AddConstantN('rsOrientToTheP', 'String').SetString(rsOrientToTheP);
  CL.AddConstantN('rsIcons', 'String').SetString(rsIcons);
  CL.AddConstantN('rsChartSync', 'String').SetString(rsChartSync);
  CL.AddConstantN('rsRectangular', 'String').SetString(rsRectangular);
  CL.AddConstantN('rsLookAt', 'String').SetString(rsLookAt);
  CL.AddConstantN('rsAbove', 'String').SetString(rsAbove);
  CL.AddConstantN('rsResetTime', 'String').SetString(rsResetTime);
  CL.AddConstantN('rsSlower', 'String').SetString(rsSlower);
  CL.AddConstantN('rsFaster', 'String').SetString(rsFaster);
  CL.AddConstantN('rsCursor', 'String').SetString(rsCursor);
  CL.AddConstantN('rsLy', 'String').SetString(rsLy);
  CL.AddConstantN('rsAddTelescope', 'String').SetString(rsAddTelescope);
  CL.AddConstantN('rsAddCursorPos', 'String').SetString(rsAddCursorPos);
  CL.AddConstantN('rsJanuary', 'String').SetString(rsJanuary);
  CL.AddConstantN('rsFebruary', 'String').SetString(rsFebruary);
  CL.AddConstantN('rsMarch', 'String').SetString(rsMarch);
  CL.AddConstantN('rsApril', 'String').SetString(rsApril);
  CL.AddConstantN('rsMay', 'String').SetString(rsMay);
  CL.AddConstantN('rsJune', 'String').SetString(rsJune);
  CL.AddConstantN('rsJuly', 'String').SetString(rsJuly);
  CL.AddConstantN('rsAugust', 'String').SetString(rsAugust);
  CL.AddConstantN('rsSeptember', 'String').SetString(rsSeptember);
  CL.AddConstantN('rsOctober', 'String').SetString(rsOctober);
  CL.AddConstantN('rsNovember', 'String').SetString(rsNovember);
  CL.AddConstantN('rsDecember', 'String').SetString(rsDecember);
  CL.AddConstantN('rsSlewToChartC', 'String').SetString(rsSlewToChartC);
  CL.AddConstantN('rsSwapButton', 'String').SetString(rsSwapButton);
  CL.AddConstantN('rsTarget', 'String').SetString(rsTarget);
  CL.AddConstantN('rsHandPad', 'String').SetString(rsHandPad);
  CL.AddConstantN('rsSelectNone', 'String').SetString(rsSelectNone);
  CL.AddConstantN('rsObserverTool', 'String').SetString(rsObserverTool);
  CL.AddConstantN('rsLocationTime', 'String').SetString(rsLocationTime);
  CL.AddConstantN('rsMark', 'String').SetString(rsMark);
  CL.AddConstantN('rsLockTheChart', 'String').SetString(rsLockTheChart);
  CL.AddConstantN('rsUnpark', 'String').SetString(rsUnpark);
  CL.AddConstantN('rsPark', 'String').SetString(rsPark);
  CL.AddConstantN('rsDoYouReallyW', 'String').SetString(rsDoYouReallyW);
  CL.AddConstantN('rsUseTheIntern', 'String').SetString(rsUseTheIntern);
  CL.AddConstantN('rsCooordinateS', 'String').SetString(rsCooordinateS);

end;

end.
